Subject: Re: [manet] Reactive Protocol Situation

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 1 Nov 2012 14:22:41 +0000

Dear Joseph Macker and Stan,
MANET WG Chairs

I disagree that the WG arranged/guided to merge the documents, I never
heard that there was a consensus on such activity. DYMO is a reactive WG
draft, but LOADng is not. Why did you guide to merge documents, I recommend
that you ment to merge the team drafts co-authors to one WG draft (which is
only DYMO so far). The authority is for the WG to decide to merge
individual drafts to its WG draft.

Therefore, my vote is for option 1 only. Thanking you for updating us with
the status.

Regards
AB

On Tue, Oct 30, 2012 at 11:13 PM, Joseph Macker <[email-masked]> wrote:

> Hello MANET working group (form Stan and Joe),
>
> As you are all probably aware, there has been WG activity lately on
> competing drafts for a MANET reactive protocol - DYMO (reviving the current
> working group document that was parked due to inactivity), and LOADng. Many
> months ago there was a somewhat authorship led movement towards a common
> document effort and given positive feedback at the time we the chairs
> thought this was the best approach given the authors potential to come
> together and gain the best of both efforts.  Since that period, there has
> been some fairly strident and rancorous "at times" debate between the
> authors of the two documents.
>
> During IETF 84 in Vancouver, the co-chairs held a discussion with some of
> the co-authors of the two documents. Our guidance to the co-authors was to
> find a way to merge the two documents into one, as it was perceived that
> are not technically far apart and they both derive roughly from AODV
> concepts and LOADng had fairly active authorship and implementation
> efforts. We provided a co-editing proposal to the authors and gave them the
> timeframe of the Atlanta to come up with an answer back to us regarding
> this.  As of this writing, those discussions of a potential commonn
> document and authorship merger have failed.
>
> Therefore, we find ourselves at a crossroads. The authors of the two
> documents are divided, and it is unlikely that progress on a merged
> document can be reached based upon recent author feedback. I have also
> polled the earlier WG editor of DYMO, Ian Chakeres, and he is somewhat
> disengaged on the issue at the present time.  We see only 3 possible paths
> forward:
>
> 1. Continue the work on the DYMO document, starting with whether there is
> consensus on its continued approach and also the desire to rename it to
> AODVv2.
> 2. Replace the existing DYMO document effort with the LOADng related
> document effort, defusing ealier references to LLNs as recommended in the
> last meeting minutes, and to focus more motivationally on general MANET
> problem spaces (the authors seem to have agreed to this issue if its a WG
> document).
> 3. Remove the working group charter for a reactive protocol, effectively
> killing both documents, at least from a working group (WG) standpoint. This
> would not be a reflection on the technology in either case, just an
> admission that we are not working together and reaching consensus.
>
> The co-chairs request and need your opinions on the options.  We have been
> some silent collecting initial feedback and waiting for author feedback at
> this point.  Stan and I are both on travel prior to Atlanta so our
> responses may be sparse and we will also likely be in a "receive mode" for
> a few days.  So send your opinions.
>
> -Joe
>
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet
>
>

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 1 Nov 2012 14:28:44 +0000

On Wed, Oct 31, 2012 at 10:02 AM, Dearlove, Christopher (UK) <
[email-masked]> wrote:

>  As someone who has not (yet) stated an opinion on the matter, except I
> also think option 3 is not good, I would very much like to hear technical
> arguments, so if you have technical arguments against LOADng, I think we
> need to hear them rather than just suggesting they exist. I haven't yet
> read LOADng carefully to form a view there. I have just recently read the
> AODVv2 draft carefully, and have some technical issues there (which
> overlap) regarding asymmetric links, possible dependency on NHDP, and the
> compatibility of options. If option 1 is followed, the draft needs work
> (which Charlie has acknowledged).****
>
> **
>
>
>
I don't think we have time to waste with LOADng, it was presented twice and
no progress, the authors failed to discuss on MANET list, and failed to
update the draft to match MANET reuirements. I agree that we focus our
efforts to submit AODVv2 as soon as possible,

AB

>
>
> -- ****
>
> Christopher Dearlove****
>
> Senior Principal Engineer, Communications Group
> Communications, Networks and Image Analysis Capability
> BAE Systems Advanced Technology Centre
> West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
> Tel: +44 1245 242194 |  Fax: +44 1245 242124****
>
> [email-masked] | http://www.baesystems.com
>
> BAE Systems (Operations) Limited
> Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre,
> Farnborough, Hants, GU14 6YU, UK
> Registered in England & Wales No: 1996687****
>
> ** **
>
> *From:* [email-masked] [mailto:[email-masked]] *On Behalf
> Of *JP Vasseur (jvasseur)
> *Sent:* 31 October 2012 08:29
> *To:* Joseph Macker
> *Cc:* <[email-masked]>
> *Subject:* Re: [manet] Reactive Protocol Situation****
>
> ** **
>
> ** **
>
> **** WARNING ****
>
> *This message originates from outside our organisation, either from an
> external partner or the internet.**
> Keep this in mind if you answer this message.
> Please see this process<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf>on how to deal with suspicious emails.
> *****
>
> Dear chairs, ****
>
> ** **
>
> Remembering that I am not a co-authors of either of these drafts.****
>
> ** **
>
> *Not commenting on recent discussions but rather focussing on what I hope
> will be a good solution for the WG and the Internet at large.*****
>
> ** **
>
> Option 3) is my opinion *not* desirable; I wish we could have a reactive
> routing protocol for MANET****
>
> ** **
>
> Option 2) is an option I would be *strongly* opposed to for a number of
> technical reasons that I would be happy to elaborate on the****
>
> mailing list and/or in a new I-D (which I would, should option 2 be
> chosen).****
>
> ** **
>
> That being said, *I am extremely supportive of option 1)*, *especially in
> light of what Charlie said*. First of all DYMO is the working group****
>
> document and excellent progress has been made with recent revisions. But
> even more importantly, Charlie managed to make it compatible ****
>
> with options, which is in my opinion *the best of both worlds*; calling
> it AODVv2 is only not very sensible but avoids useful sensitivity around *
> ***
>
> names.****
>
> ** **
>
> *Thus I would strongly support Option 1), continue the work that Charlie
> has started*, which by the way is not far from completion. And ****
>
> as WG,we need to remember that this had been the WG document, the result
> of years of work. Still by making it compatible with other options, ****
>
> this is technically flexible and sound.****
>
> ** **
>
> Thanks.****
>
> ** **
>
> JP.****
>
> ** **
>
> On Oct 31, 2012, at 12:13 AM, Joseph Macker wrote:****
>
>
>
> ****
>
> https://www.ietf.org/mailman/listinfo/manet****
>
> ** **
>
> ********************************************************************
> This email and any attachments are confidential to the intended
> recipient and may also be privileged. If you are not the intended
> recipient please delete it from your system and notify the sender.
> You should not copy it or use it for any purpose nor disclose or
> distribute its contents to any other person.
> ********************************************************************
>
>

---

From: Henning Rogge <[email-masked]>
Date: Thu, 1 Nov 2012 15:30:33 +0100

> efforts to submit AODVv2 as soon as possible,

I totally disagree with you.

Henning Rogge

--
Steven Hawkings about cosmic inflation: "An increase of billions of
billions of percent in a tiny fraction of a second. Of course, that
was before the present government."

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 1 Nov 2012 14:33:34 +0000

For discussion purpose, please give your reasons, so I can understand,
I want that we not waste time and finish the work we were doing in years,

AB

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 1 Nov 2012 14:44:51 +0000

I agree that it was clear in the 84 ( last MANET f2f discuss) meeting that
LOADng was proposed for WG, but was not accepted and was recommended that
it needs rework with discussions on the MANET list. I never understood
mentioning that LOADng to be designed within an on-going work.
AB
On Wed, Oct 31, 2012 at 6:14 PM, Joseph Macker <[email-masked]> wrote:

> Certainly if the LOADng derived work in whatever form is accepted by manet
> it needs to be considered a manet protocol and analyzed and designed as
> such in ongoing work.  This point is non-negotiable and I think the chairs
> made that clear at the last meeting but just to reiterate the point so we
> do not need to keep going over that.
> --------
>
> Jiazi: As one chair, given my two year old review I felt DYMO-21 needed
> significant work and revision to be ready for STD track submission. If you
> feel DYMO-23 has regressed in some way in terms of clarity or specification
> that makes me uneasy but I have less personal insight on that at present to
> discuss. So other opinions would be welcome perhaps from an implementor's
> perspective and a non-LOADng author's view.
>
>
>

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 1 Nov 2012 14:53:23 +0000

I like that we make addition options as you call one 1.5, because there is
no doubt that there is an interest of LOADng in MANET WG. I will support
the 1.5 option only after we finish our job of AODVv2 with submission.

Another alternative 2.5 option can be to start checking WG consensus for
working on a new reactive protocol that merges the two drafts. However,
still prefer option 1, without interrupts.

AB

On Wed, Oct 31, 2012 at 6:34 PM, Charles E. Perkins
<[email-masked]>wrote:

>
> Hello Joe and all,
>
> Thanks for reiterating this important point.  I feel that some of the
> discussion
> is aimed at finding fault.  For myself, I think that the LOADng effort has
> made
> a positive contribution.  With some minor exceptions, LOADng is basically
> compatible with AODVv2 (almost by design, since both were derived from
> AODV).  I reiterate that my goal for the WG reactive document would be to
> retain compatibility with LOADng.  In this way, the working group will
> retain
> the benefits of LOADng (by design), reducing the need for any mutually
> exclusive choice of (1) or (2).  I'd call this alternative (1.5).
>
> In the meantime, I continue to offer improvements to the existing AODVv2
> specification, and I am confident that the results will soon satisfy the
> most
> demanding level of scrutiny.
>
> Regards,
> Charlie P.
>
>
> On 10/31/2012 11:14 AM, Joseph Macker wrote:
>
>> Certainly if the LOADng derived work in whatever form is accepted by
>> manet it needs to be considered a manet protocol and analyzed and designed
>> as such in ongoing work.  This point is non-negotiable and I think the
>> chairs made that clear at the last meeting but just to reiterate the point
>> so we do not need to keep going over that.
>> --------
>>
>>  --
> Regards,
> Charlie P.
>
>
> ______________________________**_________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/**listinfo/manet<https://www.ietf.org/mailman/listinfo/manet>
>

---

From: Joseph Macker <[email-masked]>
Date: Thu, 1 Nov 2012 10:57:46 -0400

Your facts are off. Actually reading the new LOADng update last night it
looks like the authors did begin to modify it to meet some of the WG
requirements for focus stated at the last meeting.  What is your statement
that they didnt update it based upon?  Not saying its been vetted yet but
they made the effort.

On Thu, Nov 1, 2012 at 10:28 AM, Abdussalam Baryun <
[email-masked]> wrote:

> I don't think we have time to waste with LOADng, it was presented twice
> and no progress, the authors failed to discuss on MANET list, and failed to
>> Registered Office: Warwick House, PO Box 87, Farnborough Aerospace
>> Centre, Farnborough, Hants, GU14 6YU, UK
>> *From:* [email-masked] [mailto:[email-masked]] *On
>> Behalf Of *JP Vasseur (jvasseur)
>> *Not commenting on recent discussions but rather focussing on what I
>> hope will be a good solution for the WG and the Internet at large.*****
>>
>> ** **
>>
>> That being said, *I am extremely supportive of option 1)*, *especially
>> in light of what Charlie said*. First of all DYMO is the working group***
>> *
>>
>> it AODVv2 is only not very sensible but avoids useful sensitivity around
>> ****
>>
>> names.****
>>
>> ** **
>>
>> The co-chairs request and need your opinions on the options.  We have
>> been some silent collecting initial feedback and waiting for author
>> feedback at this point.  Stan and I are both on travel prior to Atlanta so
>> our responses may be sparse and we will also likely be in a "receive mode"
>> for a few days.  So send your opinions.
>>
>> -Joe

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 1 Nov 2012 15:13:38 +0000

Ok, if we read the inputs of the WG on the list, we can understand the
conclusion I mentioned. It was not discussed by the WG, while I already
tried my best with the authors, they postpone it. Please note that ignoring
input is not acceptable, I got to 4th reminder. I agree that the last draft
was better but still without valuable discussions. IMHO, this draft will
need a full hour discussion because it is an interrupt work so far.

The needed requirements and updates are:

1-Able to Discuss on the MANET list, not outside within companies
2-Replying to requests from the WG, not just with the chairs
3-The draft collides with ROLL WG which was clear in last 84 meeting
4-The name of the draft is not draft-manet, which was requested without
respond from the authors.
5- The last meeting requested adding heterogeniety issue update to the
draft, so will not collide with other works.

AB

On Thu, Nov 1, 2012 at 2:57 PM, Joseph Macker <[email-masked]> wrote:

>>> Option 3) is my opinion *not* desirable; I wish we could have a
>>> reactive routing protocol for MANET****
>>>
>>> ** **
>>>
>>> in light of what Charlie said*. First of all DYMO is the working group**
>>> **
>>>
>>> *Thus I would strongly support Option 1), continue the work that
>>> Charlie has started*, which by the way is not far from completion. And *
>>> ***
>>>
>>> During IETF 84 in Vancouver, the co-chairs held a discussion with some
>>> of the co-authors of the two documents. Our guidance to the co-authors was
>>> to find a way to merge the two documents into one, as it was perceived that
>>> 1. Continue the work on the DYMO document, starting with whether there
>>> is consensus on its continued approach and also the desire to rename it to
>>> AODVv2.

---

From: Jon Black <[email-masked]>
Date: Thu, 1 Nov 2012 08:37:31 -0700 (PDT)

Why would you think that LOADng is not reactive?  If it is not a reactive protocol, then what is it?

As to merging the documents, this is what WGs do.  If you have multiple "competing" ideas you ask the authors to see if they can merge their concepts and ideas.  If they cannot or will not then the WG must decide based on facts and not conjecture which is the most prudent path to take.

Jon

________________________________
 From: Abdussalam Baryun <[email-masked]>
To: Joseph Macker <[email-masked]> 
Cc: [email-masked]; Stan Ratliff <[email-masked]> 
Sent: Thursday, November 1, 2012 8:22 AM
Subject: Re: [manet] Reactive Protocol Situation

I disagree that the WG arranged/guided to merge the documents, I never heard that there was a consensus on such activity. DYMO is a reactive WG draft, but LOADng is not. Why did you guide to merge documents, I recommend that you ment to merge the team drafts co-authors to one WG draft (which is only DYMO so far). The authority is for the WG to decide to merge individual drafts to its WG draft.
 
Therefore, my vote is for option 1 only. Thanking you for updating us with the status.
 
Regards
AB

>
>As you are all probably aware, there has been WG activity lately on competing drafts for a MANET reactive protocol - DYMO (reviving the current working group document that was parked due to inactivity), and LOADng. Many months ago there was a somewhat authorship led movement towards a common document effort and given positive feedback at the time we the chairs thought this was the best approach given the authors potential to come together and gain the best of both efforts.  Since that period, there has been some fairly strident and rancorous "at times" debate between the authors of the two documents.
>
>During IETF 84 in Vancouver, the co-chairs held a discussion with some of the co-authors of the two documents. Our guidance to the co-authors was to find a way to merge the two documents into one, as it was perceived that are not technically far apart and they both derive roughly from AODV concepts and LOADng had fairly active authorship and implementation efforts. We provided a co-editing proposal to the authors and gave them the timeframe of the Atlanta to come up with an answer back to us regarding this.  As of this writing, those discussions of a potential commonn document and authorship merger have failed.
>
>Therefore, we find ourselves at a crossroads. The authors of the two documents are divided, and it is unlikely that progress on a merged document can be reached based upon recent author feedback. I have also polled the earlier WG editor of DYMO, Ian Chakeres, and he is somewhat disengaged on the issue at the present time.  We see only 3 possible paths forward:
>
>1. Continue the work on the DYMO document, starting with whether there is consensus on its continued approach and also the desire to rename it to AODVv2.
>2. Replace the existing DYMO document effort with the LOADng related document effort, defusing ealier references to LLNs as recommended in the last meeting minutes, and to focus more motivationally on general MANET problem spaces (the authors seem to have agreed to this issue if its a WG document).
>3. Remove the working group charter for a reactive protocol, effectively killing both documents, at least from a working group (WG) standpoint. This would not be a reflection on the technology in either case, just an admission that we are not working together and reaching consensus.
>
>The co-chairs request and need your opinions on the options.  We have been some silent collecting initial feedback and waiting for author feedback at this point.  Stan and I are both on travel prior to Atlanta so our responses may be sparse and we will also likely be in a "receive mode" for a few days.  So send your opinions.
>
>-Joe
>

---

From: Jon Black <[email-masked]>
Date: Thu, 1 Nov 2012 08:44:28 -0700 (PDT)

I disagree.  The protocol has progressed.  It appears that there are implementations.  There is interoperability.  There are deployments.  This is all progress.

I'm not favoring LOADng over DYMO.  I think the working group should look at both fairly and decide the best path forward - chose one over the other or find a way to merge the concepts even if the authors are hesitant.

Jon

________________________________
 From: Abdussalam Baryun <[email-masked]>
To: manet <[email-masked]> 
Sent: Thursday, November 1, 2012 8:28 AM
Subject: Re: [manet] Reactive Protocol Situation

On Wed, Oct 31, 2012 at 10:02 AM, Dearlove, Christopher (UK) <[email-masked]> wrote:

As someone who has not (yet) stated an opinion on the matter, except I also think option 3 is not good, I would very much like to hear technical arguments, so if you have technical arguments against LOADng, I think we need to hear them rather than just suggesting they exist. I haven't yet read LOADng carefully to form a view there. I have just recently read the AODVv2 draft carefully, and have some technical issues there (which overlap) regarding asymmetric links, possible dependency on NHDP, and the compatibility of options. If option 1 is followed, the draft needs work (which Charlie has acknowledged).
I don't think we have time to waste with LOADng, it was presented twice and no progress, the authors failed to discuss on MANET list, and failed to update the draft to match MANET reuirements. I agree that we focus our efforts to submit AODVv2 as soon as possible,
 
AB

>Christopher Dearlove
>Tel: +44 1245 242194 |  Fax: +44 1245 242124
>Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
>Registered in England & Wales No: 1996687
> 
>From:[email-masked] [mailto:[email-masked]] On Behalf Of JP Vasseur (jvasseur)
>Sent: 31 October 2012 08:29
>To: Joseph Macker
>Cc: <[email-masked]>
>*** WARNING ***
>This message originates from outside our organisation, either from an external partner or the internet.
>Please see this process on how to deal with suspicious emails.
>Dear chairs, 
> 
>Remembering that I am not a co-authors of either of these drafts.
> 
>Not commenting on recent discussions but rather focussing on what I hope will be a good solution for the WG and the Internet at large.
> 
>Option 3) is my opinion not desirable; I wish we could have a reactive routing protocol for MANET
> 
>Option 2) is an option I would be strongly opposed to for a number of technical reasons that I would be happy to elaborate on the
>mailing list and/or in a new I-D (which I would, should option 2 be chosen).
> 
>That being said, I am extremely supportive of option 1), especially in light of what Charlie said. First of all DYMO is the working group
>document and excellent progress has been made with recent revisions. But even more importantly, Charlie managed to make it compatible 
>with options, which is in my opinion the best of both worlds; calling it AODVv2 is only not very sensible but avoids useful sensitivity around 
>names.
> 
>Thus I would strongly support Option 1), continue the work that Charlie has started, which by the way is not far from completion. And 
>as WG,we need to remember that this had been the WG document, the result of years of work. Still by making it compatible with other options, 
>this is technically flexible and sound.
> 
>Thanks.
> 
>JP.
> 
>On Oct 31, 2012, at 12:13 AM, Joseph Macker wrote:
>
>
>
>As you are all probably aware, there has been WG activity lately on competing drafts for a MANET reactive protocol - DYMO (reviving the current working group document that was parked due to inactivity), and LOADng. Many months ago there was a somewhat authorship
 led movement towards a common document effort and given positive feedback at the time we the chairs thought this was the best approach given the authors potential to come together and gain the best of both efforts.  Since that period, there has been some fairly
 strident and rancorous "at times" debate between the authors of the two documents.
>
>During IETF 84 in Vancouver, the co-chairs held a discussion with some of the co-authors of the two documents. Our guidance to the co-authors was to find a way to merge the two documents into one, as it was perceived that are not technically far apart and they
 both derive roughly from AODV concepts and LOADng had fairly active authorship and implementation efforts. We provided a co-editing proposal to the authors and gave them the timeframe of the Atlanta to come up with an answer back to us regarding this.  As
 of this writing, those discussions of a potential commonn document and authorship merger have failed.
>
>Therefore, we find ourselves at a crossroads. The authors of the two documents are divided, and it is unlikely that progress on a merged document can be reached based upon recent author feedback. I have also polled the earlier WG editor of DYMO, Ian Chakeres,
 and he is somewhat disengaged on the issue at the present time.  We see only 3 possible paths forward:
>The co-chairs request and need your opinions on the options.  We have been some silent collecting initial feedback and waiting for author feedback at this point.  Stan and I are both on travel prior to Atlanta so our responses may be sparse and we will also
 likely be in a "receive mode" for a few days.  So send your opinions.

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 1 Nov 2012 15:53:23 +0000

Yes LOADng is a reactive protocols, but not the MANET WG reactive protocol
(DYMO is already authorised). The WG is the only authorised to make such
decisions for its WG drafts, if WG decides to add any LOADng ideas it can,
or to accept such merge it can as well,
AB
On Thu, Nov 1, 2012 at 3:37 PM, Jon Black <[email-masked]> wrote:

> As to merging the documents, this is what WGs do.  If you have multiple
> "competing" ideas you ask the authors to see if they can merge their
> concepts and ideas.  If they cannot or will not then the WG must decide
> based on facts and not conjecture which is the most prudent path to take.
>
> Jon
>
>
>   ------------------------------
> *From:* Abdussalam Baryun <[email-masked]>
> *To:* Joseph Macker <[email-masked]>
> *Cc:* [email-masked]; Stan Ratliff <[email-masked]>
> *Sent:* Thursday, November 1, 2012 8:22 AM
>
> *Subject:* Re: [manet] Reactive Protocol Situation
>
> On Tue, Oct 30, 2012 at 11:13 PM, Joseph Macker <[email-masked]>wrote:
>

---

From: Don Sturek <[email-masked]>
Date: Thu, 01 Nov 2012 09:40:11 -0700

Hi Adbussalam,

It is hard to consider a draft stalled 2+ years as the only way forward in
MANET as a reactive protocol.

Don

From:  Abdussalam Baryun <[email-masked]>
Date:  Thursday, November 1, 2012 8:53 AM
To:  Jon Black <[email-masked]>
Cc:  "[email-masked]" <[email-masked]>, Stan Ratliff <[email-masked]>
Subject:  Re: [manet] Reactive Protocol Situation

On Thu, Nov 1, 2012 at 3:37 PM, Jon Black <[email-masked]> wrote:
> "competing" ideas you ask the authors to see if they can merge their concepts
> and ideas.  If they cannot or will not then the WG must decide based on facts
> and not conjecture which is the most prudent path to take.
> 
> Jon
> 
> 
>   
>  
>  
>   
> 
> I disagree that the WG arranged/guided to merge the documents, I never heard
> that there was a consensus on such activity. DYMO is a reactive WG draft, but
> LOADng is not. Why did you guide to merge documents, I recommend that you ment
> to merge the team drafts co-authors to one WG draft (which is only DYMO so
> far). The authority is for the WG to decide to merge individual drafts to its
> WG draft.
>  
>> As you are all probably aware, there has been WG activity lately on competing
>> drafts for a MANET reactive protocol - DYMO (reviving the current working
>> group document that was parked due to inactivity), and LOADng. Many months
>> ago there was a somewhat authorship led movement towards a common document
>> effort and given positive feedback at the time we the chairs thought this was
>> the best approach given the authors potential to come together and gain the
>> best of both efforts.  Since that period, there has been some fairly strident
>> and rancorous "at times" debate between the authors of the two documents.
>> 
>> During IETF 84 in Vancouver, the co-chairs held a discussion with some of the
>> co-authors of the two documents. Our guidance to the co-authors was to find a
>> way to merge the two documents into one, as it was perceived that are not
>> technically far apart and they both derive roughly from AODV concepts and
>> LOADng had fairly active authorship and implementation efforts. We provided a
>> co-editing proposal to the authors and gave them the timeframe of the Atlanta
>> to come up with an answer back to us regarding this.  As of this writing,
>> those discussions of a potential commonn document and authorship merger have
>> failed.
>> 
>> documents are divided, and it is unlikely that progress on a merged document
>> can be reached based upon recent author feedback. I have also polled the
>> earlier WG editor of DYMO, Ian Chakeres, and he is somewhat disengaged on the
>> issue at the present time.  We see only 3 possible paths forward:
>> 
>> 2. Replace the existing DYMO document effort with the LOADng related document
>> effort, defusing ealier references to LLNs as recommended in the last meeting
>> minutes, and to focus more motivationally on general MANET problem spaces
>> (the authors seem to have agreed to this issue if its a WG document).
>> would not be a reflection on the technology in either case, just an admission
>> that we are not working together and reaching consensus.
>> 
>> this point.  Stan and I are both on travel prior to Atlanta so our responses
>> may be sparse and we will also likely be in a "receive mode" for a few days.
>> So send your opinions.
>> 
>> -Joe
>> 

_______________________________________________ manet mailing list
[email-masked] https://www.ietf.org/mailman/listinfo/manet

---

From: Daniel He <[email-masked]>
Date: Thu, 1 Nov 2012 17:00:17 +0000

I vote the option 2 that may be more realistic choice for us. DYMO has been
on the WG
for long time but it is required a significant work to be a standard. and
some work has been done by LOADng that I don't see it is not a reactive
protocol. We should not waste
the efforts of LOADng authors made to MANET WG. Option 2 therefore is the
best and realistic choice for both drafts.

Cheers,

Dan

-- 
Dan He
---------------------
Tel: +44-788-686-3428

---

From: "Charles E. Perkins" <[email-masked]>
Date: Thu, 01 Nov 2012 11:32:19 -0700

Hello Don,

Your claim has been made several times, and I think it is highly misleading.

The bottom line is that the editorship of the WG document is now in good
hands, and given the time available in the past, good progress has been
made.  Also given my renewed emphasis, support from my job, and clear
understanding of goals, I can confidently state that I can do the work, and
can manage the editorship process to follow working group discussion to
completion.  Here is (some of) what happened.  I hope you will read it.

I was asked last fall to resume editorship of the DYMO document, and
agreed to do so.

Almost at the same time, I was invited to work with the LOADng authors
to produce a merged document that incorporated the best features from
DYMO and from LOADng.  At that time, the general agreement was that
the merged document would be renamed AODVv2.

Because of various personal difficulties unfamiliar in my experience, I was
surprised to find very late in the winter that the merge was not happening.
In order to carry out my responsibility, which was clearly to submit a
revised document for IETF 83 in Paris, I took the resource available to me
and within less than a week I submitted the revised DYMO draft renamed
to be AODVv2.

People attending the meeting will remember what happened.  I was quite
unjustly attacked and called names for doing:
a) what I said I would do
b) what I was supposed to do, and
c) changing the document to become more compatible with LOADng, as
     requested by those authors and according to my best understanding.

After that, I still hoped that we could do the merge, but nothing happened
until in Vancouver when the WG chairs gave us an ultimatum to make
something happen by November.

We went around and around, but I eventually determined that there
was almost no chance that the LOADng authors would willingly help to
produce the desired merge.  So I did what the LOADng authors had asked
me not to do: namely submit a revised document for consideration.
This revised document was an attempt to respond to valid comments
made during 2010 about problems with the document while it was
under Ian's editorial responsibility.  It needs further revision -- in fact
I will submit a much more polished document on my website this
week.

The important point is that for the last year the document languished
for all but a few weeks *at the request of the LOADng authors* --
in fact, I would even say at their *DEMAND*, and all the while they
refused to help make the merge that (a) they had originally suggested
and (b) I was supposed to do.

This note is already too long.  I have much, much more to say.
But I will say one more thing: I have the ability and now the time to
do an excellent job on this, and I am here on the job only for the
benefit of the working group.  Now that I can focus on it, and now
that I do not feel constrained to abide by the demands for delay
that were imposed by the LOADng author team, I can do it pretty
expediently.  Of course I will welcome their input as well, and to
further reiterate it will be my intention to make the WG document
compatible with the needs of LOADng.

Oh -- and one more thing...  Regardless of the poisoned atmosphere
surrounding this debate, I have nothing but high regard for the work
done by the LOADng team.  I don't think their methods are right for
this working group, and any statements to the effect that the DYMO
editorial process has been deficient during the last year or more
should be understood in light of the above narrative.

Regards,
Charlie P.

PS. Oh, and one more thing...  I am a peaceful man, and if I don't
         respond to all the invective and intransigence so clearly
         in evidence lately, you'll just have to excuse me for trying
         to remain so.

On 11/1/2012 9:40 AM, Don Sturek wrote:
> Hi Adbussalam,
>
> It is hard to consider a draft stalled 2+ years as the only way 
> forward in MANET as a reactive protocol.
>
> Don
>
>
>
> From: Abdussalam Baryun <[email-masked] 
> <mailto:[email-masked]>>
> To: Jon Black <[email-masked] <mailto:[email-masked]>>
> Cc: "[email-masked] <mailto:[email-masked]>" <[email-masked] 
> <mailto:[email-masked]>>, Stan Ratliff <[email-masked] 
> <mailto:[email-masked]>>
> Yes LOADng is a reactive protocols, but not the MANET WG reactive 
> protocol (DYMO is already authorised). The WG is the only authorised 
> to make such decisions for its WG drafts, if WG decides to add any 
> LOADng ideas it can, or to accept such merge it can as well,
> AB
> On Thu, Nov 1, 2012 at 3:37 PM, Jon Black <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     As to merging the documents, this is what WGs do.  If you have
>     multiple "competing" ideas you ask the authors to see if they can
>     merge their concepts and ideas.  If they cannot or will not then
>     the WG must decide based on facts and not conjecture which is the
>     most prudent path to take.
>
>     Jon
>
>
>     ------------------------------------------------------------------------
>     *From:* Abdussalam Baryun <[email-masked]
>     <mailto:[email-masked]>>
>     *To:* Joseph Macker <[email-masked] <mailto:[email-masked]>>
>     *Cc:* [email-masked] <mailto:[email-masked]>; Stan Ratliff
>     <[email-masked] <mailto:[email-masked]>>
>     I disagree that the WG arranged/guided to merge the documents, I
>     never heard that there was a consensus on such activity. DYMO is a
>     reactive WG draft, but LOADng is not. Why did you guide to merge
>     documents, I recommend that you ment to merge the team drafts
>     co-authors to one WG draft (which is only DYMO so far). The
>     authority is for the WG to decide to merge individual drafts to
>     its WG draft.
>     On Tue, Oct 30, 2012 at 11:13 PM, Joseph Macker
>     <[email-masked] <mailto:[email-masked]>> wrote:
>
>         As you are all probably aware, there has been WG activity
>         lately on competing drafts for a MANET reactive protocol -
>         DYMO (reviving the current working group document that was
>         parked due to inactivity), and LOADng. Many months ago there
>         was a somewhat authorship led movement towards a common
>         document effort and given positive feedback at the time we the
>         chairs thought this was the best approach given the authors
>         potential to come together and gain the best of both efforts. 
>         Since that period, there has been some fairly strident and
>         rancorous "at times" debate between the authors of the two
>         documents.
>
>         During IETF 84 in Vancouver, the co-chairs held a discussion
>         with some of the co-authors of the two documents. Our guidance
>         to the co-authors was to find a way to merge the two documents
>         into one, as it was perceived that are not technically far
>         apart and they both derive roughly from AODV concepts and
>         LOADng had fairly active authorship and implementation
>         efforts. We provided a co-editing proposal to the authors and
>         gave them the timeframe of the Atlanta to come up with an
>         answer back to us regarding this.  As of this writing, those
>         discussions of a potential commonn document and authorship
>         merger have failed.
>
>         Therefore, we find ourselves at a crossroads. The authors of
>         the two documents are divided, and it is unlikely that
>         progress on a merged document can be reached based upon recent
>         author feedback. I have also polled the earlier WG editor of
>         DYMO, Ian Chakeres, and he is somewhat disengaged on the issue
>         at the present time.  We see only 3 possible paths forward:
>
>         1. Continue the work on the DYMO document, starting with
>         whether there is consensus on its continued approach and also
>         the desire to rename it to AODVv2.
>         2. Replace the existing DYMO document effort with the LOADng
>         related document effort, defusing ealier references to LLNs as
>         recommended in the last meeting minutes, and to focus more
>         motivationally on general MANET problem spaces (the authors
>         seem to have agreed to this issue if its a WG document).
>         3. Remove the working group charter for a reactive protocol,
>         effectively killing both documents, at least from a working
>         group (WG) standpoint. This would not be a reflection on the
>         technology in either case, just an admission that we are not
>         working together and reaching consensus.
>
>         The co-chairs request and need your opinions on the options. 
>         We have been some silent collecting initial feedback and
>         waiting for author feedback at this point.  Stan and I are
>         both on travel prior to Atlanta so our responses may be sparse
>         and we will also likely be in a "receive mode" for a few
>         days.  So send your opinions.
>
>         -Joe
>
>         [email-masked] <mailto:[email-masked]>
>     [email-masked] <mailto:[email-masked]>
> [email-masked] <mailto:[email-masked]> 

-- 
Regards,
Charlie P.

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Thu, 1 Nov 2012 18:36:24 +0000

On Nov 1, 2012, at 4:44 PM, Jon Black wrote:

Right and I think that this was what the chairs asked us to do: express our opinion on which option we prefer.
Let's wait until everybody express an opinion and see what the chairs think.

Thanks.

JP.

Jon

________________________________
From: Abdussalam Baryun <[email-masked]<mailto:[email-masked]>>
To: manet <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, November 1, 2012 8:28 AM
Subject: Re: [manet] Reactive Protocol Situation

On Wed, Oct 31, 2012 at 10:02 AM, Dearlove, Christopher (UK) <[email-masked]<mailto:[email-masked]>> wrote:
As someone who has not (yet) stated an opinion on the matter, except I also think option 3 is not good, I would very much like to hear technical arguments, so if you have technical arguments against LOADng, I think we need to hear them rather than just suggesting they exist. I haven't yet read LOADng carefully to form a view there. I have just recently read the AODVv2 draft carefully, and have some technical issues there (which overlap) regarding asymmetric links, possible dependency on NHDP, and the compatibility of options. If option 1 is followed, the draft needs work (which Charlie has acknowledged).

AB

--
Christopher Dearlove
Senior Principal Engineer, Communications Group
Communications, Networks and Image Analysis Capability
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194<x-msg://55/> |  Fax: +44 1245 242124<x-msg://55/>
[email-masked]<mailto:[email-masked]> | http://www.baesystems.com

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of JP Vasseur (jvasseur)
Sent: 31 October 2012 08:29
To: Joseph Macker
Cc: <[email-masked]<mailto:[email-masked]>>
Subject: Re: [manet] Reactive Protocol Situation

*** WARNING ***
This message originates from outside our organisation, either from an external partner or the internet.
Keep this in mind if you answer this message.
Please see this process<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf> on how to deal with suspicious emails.
Dear chairs,

Thanks.

JP.

-Joe
_______________________________________________
manet mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/manet

_______________________________________________
manet mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/manet

_______________________________________________
manet mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/manet

_______________________________________________
manet mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/manet

---

From: Don Sturek <[email-masked]>
Date: Thu, 01 Nov 2012 11:40:03 -0700

Hi Charlie,

Apologies if I misrepresented the facts on DYMO/AODVv2ŠŠ

I do think the facts as exist right now are:
1)  We have a LOADng draft that claims support to address the MANET reactive
protocol requirements
2)  Work has restarted (by yourself) on DYMO/AODVv2
3)  There are two different views on the ability to merge LOADng with
DYMO/AODVv2. One view is the merge can happen and another (unfortunately by
some authors of LOADng) that such a merge is impractical.

So, irrespective of how we got to where we are, the point is it is a good
time to draw a conclusion on which of the 3 options above MANET should take
to meet its requirement for a reactive routing protocol.

Don

From:  "Charles E. Perkins" <[email-masked]>
Organization:  Saratoga Blue Skies
Date:  Thursday, November 1, 2012 11:32 AM
To:  Don Sturek <[email-masked]>
Cc:  "[email-masked]" <[email-masked]>
Subject:  Re: [manet] Reactive Protocol Situation

 Hello Don,
 
 Your claim has been made several times, and I think it is highly
misleading.

 

 

 

 Regards,
 Charlie P.

 On 11/1/2012 9:40 AM, Don Sturek wrote:

> decisions for its WG drafts, if WG decides to add any LOADng ideas it can, or
> to accept such merge it can as well,
>  
>  
> AB
>  
>  
>> LOADng is not. Why did you guide to merge documents, I recommend that you
>> ment to merge the team drafts co-authors to one WG draft (which is only DYMO
>> so far). The authority is for the WG to decide to merge individual drafts to
>> its WG draft.
>>  
>>  
>>  
>>> find a way to merge the two documents into one, as it was perceived that are
>>> not technically far apart and they both derive roughly from AODV concepts
>>> and LOADng had fairly active authorship and implementation efforts. We
>>> provided a co-editing proposal to the authors and gave them the timeframe of
>>> the Atlanta to come up with an answer back to us regarding this.  As of this
>>> writing, those discussions of a potential commonn document and authorship
>>> merger have failed.
>>>  
>>> earlier WG editor of DYMO, Ian Chakeres, and he is somewhat disengaged on
>>> the issue at the present time.  We see only 3 possible paths forward:
>>>  
> [email-masked]://www.ietf.org/mailman/listinfo/manet
>  

-- 
Regards,
Charlie P.

---

From: Jaudelice de Oliveira <[email-masked]>
Date: Thu, 1 Nov 2012 14:54:08 -0400

I recommend option 1. 

In my opinion the author has shown his willingness to continue to work with the WG to complete the original WG document and also to try to adhere to the chairs' suggestion, even if in the form of a compromise given that a merged document was not feasible, by making it compatible. 

BR, 
Jau.

Jaudelice de Oliveira
Associate Professor
ECE Dept, Drexel University

---

From: Ulrich Herberg <[email-masked]>
Date: Thu, 1 Nov 2012 12:04:50 -0700

It would really be more productive if you had some technical arguments. The
LOADng authors are also more than willing to bring the work forward, so
this is not really an argument for or against anything.

Best
Ulrich

On Thu, Nov 1, 2012 at 11:54 AM, Jaudelice de Oliveira
<[email-masked]>wrote:

>
> I recommend option 1.
>
> In my opinion the author has shown his willingness to continue to work
> with the WG to complete the original WG document and also to try to adhere
> to the chairs' suggestion, even if in the form of a compromise given that a
> merged document was not feasible, by making it compatible.
>
> BR,
> Jau.
>
>
>
> Jaudelice de Oliveira
> Associate Professor

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Thu, 1 Nov 2012 19:33:44 +0000

And if I may, …

As Charlie pointed it out:

"But I will say one more thing: I have the ability and now the time to
do an excellent job on this, and I am here on the job only for the
benefit of the working group.  Now that I can focus on it, and now
that I do not feel constrained to abide by the demands for delay
that were imposed by the LOADng author team, I can do it pretty
expediently.  Of course I will welcome their input as well, and to
further reiterate it will be my intention to make the WG document
compatible with the needs of LOADng."

As many of us, I truly believe that Charlie can make it happen and come up
with the best solution for the reactive protocol in MANET, incorporating ideas
coming up from the WG, and close on this pretty quickly in a more peaceful
atmosphere.

Thanks.

JP.

On Nov 1, 2012, at 7:32 PM, Charles E. Perkins wrote:

Hello Don,

Regards,
Charlie P.

It is hard to consider a draft stalled 2+ years as the only way forward in MANET as a reactive protocol.

Don

From: Abdussalam Baryun <[email-masked]<mailto:[email-masked]>>
Date: Thursday, November 1, 2012 8:53 AM
To: Jon Black <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Stan Ratliff <[email-masked]<mailto:[email-masked]>>
Subject: Re: [manet] Reactive Protocol Situation

Yes LOADng is a reactive protocols, but not the MANET WG reactive protocol (DYMO is already authorised). The WG is the only authorised to make such decisions for its WG drafts, if WG decides to add any LOADng ideas it can, or to accept such merge it can as well,
AB
On Thu, Nov 1, 2012 at 3:37 PM, Jon Black <[email-masked]<mailto:[email-masked]>> wrote:
Why would you think that LOADng is not reactive?  If it is not a reactive protocol, then what is it?

Jon

________________________________
From: Abdussalam Baryun <[email-masked]<mailto:[email-masked]>>
To: Joseph Macker <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; Stan Ratliff <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, November 1, 2012 8:22 AM

Regards
AB

On Tue, Oct 30, 2012 at 11:13 PM, Joseph Macker <[email-masked]<mailto:[email-masked]>> wrote:
Hello MANET working group (form Stan and Joe),

-Joe

_______________________________________________ manet mailing list [email-masked]<mailto:[email-masked]> https://www.ietf.org/mailman/listinfo/manet

--
Regards,
Charlie P.

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Thu, 1 Nov 2012 19:36:55 +0000

Agree with you Don.

Since discussions are going in many directions … would the chairs help us organize these discussions ?

Are you indeed asking us to express our preference for one of these options, pick one and start from there ?

On Nov 1, 2012, at 7:40 PM, Don Sturek wrote:

Hi Charlie,

Apologies if I misrepresented the facts on DYMO/AODVv2……

I do think the facts as exist right now are:
1)  We have a LOADng draft that claims support to address the MANET reactive protocol requirements
2)  Work has restarted (by yourself) on DYMO/AODVv2
3)  There are two different views on the ability to merge LOADng with DYMO/AODVv2. One view is the merge can happen and another (unfortunately by some authors of LOADng) that such a merge is impractical.

So, irrespective of how we got to where we are, the point is it is a good time to draw a conclusion on which of the 3 options above MANET should take to meet its requirement for a reactive routing protocol.

Don

From: "Charles E. Perkins" <[email-masked]<mailto:[email-masked]>>
Organization: Saratoga Blue Skies
Date: Thursday, November 1, 2012 11:32 AM
To: Don Sturek <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [manet] Reactive Protocol Situation

Hello Don,

Regards,
Charlie P.

Don

Jon

Regards
AB

-Joe

_______________________________________________
manet mailing list
[email-masked]<mailto:[email-masked]>https://www.ietf.org/mailman/listinfo/manet

--
Regards,
Charlie P.

---

From: Jiazi YI <[email-masked]>
Date: Thu, 1 Nov 2012 21:02:11 +0100

Dear Charlie, Don, and all,

The LOADng authors never said that the merge can't come, and always welcome good ideas from DYMO. However, having LOADng to fit in DYMO text is rolling back to 2 years ago and is totally inappropriate because of the quality of the current dymo document.  
There was a long discussion on this in the last three months, but it's unconstructive to repeat the history here. 

Charlie, I really don't want to talk about the editorial process and authorship issue in the mailing list, so please, let's stop this topic here. 

I think for the moment, the constructive way is to go back to the technical discussion and check the status of those two drafts, as suggested by Chris and a lot of the others. 
I would appreciate all the WG participants reading those two drafts, and I'm looking forward to your comments. Personally, I have reviewed the latest dymo revision, but I would like to keep my comments and hear the opinions from other non-LOADng authors first. 

best

Jiazi

On Nov 1, 2012, at 7:32 PM, "Charles E. Perkins" <[email-masked]> wrote:

>> _______________________________________________ manet mailing list [email-masked] https://www.ietf.org/mailman/listinfo/manet 
>>

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 1 Nov 2012 20:02:40 +0000

In IETF F2F meetings: I RECOMMEND the chairs and ADs to organise
forces/efforts discuss WG's  I-Ds for progress. New proposals should be
presented once and discussed on the list if rejected.

On the IETF WG lists: I RECOMMEMD the WG participants to discuss all
related technical issues in good faith, detail and reason, to avoid
politics and interrupts in IETF from others.

AB
On Thu, Nov 1, 2012 at 7:36 PM, JP Vasseur (jvasseur) <[email-masked]>wrote:

>  So, irrespective of how we got to where we are, the point is it is a
> good time to draw a conclusion on which of the 3 options above MANET should
> take to meet its requirement for a reactive routing protocol.
>
>  Don
>
>

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 1 Nov 2012 20:09:13 +0000

I disagree with you of the process to handle such WORK flow. I RECOMMEND
the work flow for the MANET WG is to focus on the WG I-Ds only and try to
target the Milestones without any interrupt of other organisations than
IETF participants. I think the procedure and best practice is to give more
time/efforts to DYMO/AODVv2, because we had RFC3561 and we are getting to
complete the AODVv2 standard.

I agree to make comparison of both drafts *only* to make LOADng authors to
respond to the MANET WG requests and mine to discuss on the MANET list.

AB

On Thu, Nov 1, 2012 at 8:02 PM, Jiazi YI <[email-masked]> wrote:

> The LOADng authors never said that the merge can't come, and always
> welcome good ideas from DYMO. However, having LOADng to fit in DYMO text is
> rolling back to 2 years ago and is totally inappropriate because of the
> quality of the current dymo document.
> There was a long discussion on this in the last three months, but it's
> unconstructive to repeat the history here.
>
> Charlie, I really don't want to talk about the editorial process and
> authorship issue in the mailing list, so please, let's stop this topic
> here.
>
> I think for the moment, the constructive way is to go back to the
> technical discussion and check the status of those two drafts, as suggested
> by Chris and a lot of the others.
> I would appreciate all the WG participants reading those two drafts, and
> I'm looking forward to your comments. Personally, I have reviewed the
> latest dymo revision, but I would like to keep my comments and hear the
> opinions from other non-LOADng authors first.
>
> best
>
> Jiazi
>
>
>
> protocol (DYMO is already authorised). The WG is the only authorised to
> make such decisions for its WG drafts, if WG decides to add any LOADng
> ideas it can, or to accept such merge it can as well,
>  AB
> manet mailing [email-masked]://www.ietf.org/mailman/listinfo/manet
>
>
>
> --
> Regards,
> Charlie P.
>

---

From: Stan Ratliff <[email-masked]>
Date: Thu, 1 Nov 2012 16:11:33 -0400

JP,

Speaking for myself (not necessarily for Joe, as I haven't discussed with
him a couple of days), my intent with the email was to bring the situation
vis-a-vis reactive protocols to the WG's attention, and to see if the group
coalesces around any of the three options.

To be frank, based on the last 3 months of discussion, and the current
email storm (including references to the "toxic environment"), I believe
that the situation has passed to point of no return. I do not think the
respective authors, or the WG as a whole, will ever (or at least for the
foreseeable future) be able to reach consensus on a reactive protocol.
Therefore, my preference is to remove the work item from the charter.

Let's see how the discussion progresses.

Regards,
Stan

-- 
Regards,
Stan

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Thu, 1 Nov 2012 20:19:50 +0000

On Nov 1, 2012, at 4:02 PM, Jiazi YI wrote:

The LOADng authors never said that the merge can't come, and always welcome good ideas from DYMO. However, having LOADng to fit in DYMO text is rolling back to 2 years ago

JP> Not sure that this argument is terribly important

and is totally inappropriate because of the quality of the current dymo document.

JP> I would certainly not agree on this.

best

Jiazi

On Nov 1, 2012, at 7:32 PM, "Charles E. Perkins" <[email-masked]<mailto:[email-masked]>> wrote:

Hello Don,

Regards,
Charlie P.

Don

Jon

Regards
AB

-Joe

--
Regards,
Charlie P.

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 1 Nov 2012 20:20:09 +0000

I think to remove reactive from charter there SHOULD be a good reason for
that, just because there was no consensus on merging LOADng (i.e.
individual draft) and DYMO (ietf-wg draft)is not enough. I noticed that no
one wanted the merge from the first place, and usually merging is the most
difficult thing to get. The reasonable is to continue with the WG I-D
ietf-manet-dymo-23, because no good reason to remove the item so far.
AB

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Thu, 1 Nov 2012 20:20:45 +0000

Thanks Stan.

On Nov 1, 2012, at 4:11 PM, Stan Ratliff wrote:

JP,

Speaking for myself (not necessarily for Joe, as I haven't discussed with him a couple of days), my intent with the email was to bring the situation vis-a-vis reactive protocols to the WG's attention, and to see if the group coalesces around any of the three options.

To be frank, based on the last 3 months of discussion, and the current email storm (including references to the "toxic environment"), I believe that the situation has passed to point of no return. I do not think the respective authors, or the WG as a whole, will ever (or at least for the foreseeable future) be able to reach consensus on a reactive protocol. Therefore, my preference is to remove the work item from the charter.

Regards,
Stan

On Thu, Nov 1, 2012 at 3:36 PM, JP Vasseur (jvasseur) <[email-masked]<mailto:[email-masked]>> wrote:
Agree with you Don.

Hi Charlie,

Don

Hello Don,

Regards,
Charlie P.

Don

Jon

Regards
AB

-Joe

--
Regards,
Charlie P.

--
Regards,
Stan

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 1 Nov 2012 20:57:46 +0000

Dear MANET WG Chairs,

I recommend we base our choices and options on our present ietf Charter and
milestones we got so far, so we can follow in our choices the best
practice.

I recommend that we look into the following three options which can be
based on the MANET Charter and the WG-I-Ds' work-flow-progress:

1- DYMO/AODVv2 to be completed and prepared by the WG to be submitted.
2- The WG chairs and participants to work together in one team work of
authoring one reactive protocol (a merge solution, with both draft authors
including WG chair).
3- Accept the individual LOADng draft as a second reactive protocol,
then, to decide in the future how to merge both AODVv2 ideas into LOADng
depending on comparing specifications.
My Comments on the mentioned drafts history and your recommended options,
in line in below message,

AB
++++++++++++++

> authors of the two documents.

There was never any announcement of such merge movement, however, there was
a suggestion for that by one DYMO author but was refused by one LOADng
author.

> document and authorship merger have failed.

Again in the 84 meeting there was no such announcement of any merge between
DYMO's I-D and the LOADng I-D. We only seen an author added to LOADng I-D
which was an author of DYMO I-D, but does not meen merging drafts and not
announced to WG such suggestions.

> consensus on its continued approach and also the desire to rename it to
There is no reason why we need to ignore this option, is it because DYMO
authors did not do any work for some time and the WG as well did not do
any, or is it because an individual draft came up to interrupt the WG work
in progress.

> problem spaces (the authors seem to have agreed to this issue if its a WG

We need to accept the LOADng as a WG item first then we decide if we can
take option 2

> admission that we are not working together and reaching consensus.

The reactive protocol is a must protocol for MANETs, killing it will not
really kill it but will give chance to other competitor organisations to
standard reactive protocol before IETF.

---

From: C Chauvenet <[email-masked]>
Date: Thu, 1 Nov 2012 23:35:02 +0000

Hi AB,

MANET chairs already propose 3 options, and poll the WG to get opinions.
I think we should stick to it.

Thank you for your comments though.

Cédric.

Le 1 nov. 2012 à 21:57, Abdussalam Baryun a écrit :

Dear MANET WG Chairs,

I recommend we base our choices and options on our present ietf Charter and milestones we got so far, so we can follow in our choices the best practice.

I recommend that we look into the following three options which can be based on the MANET Charter and the WG-I-Ds' work-flow-progress:

1- DYMO/AODVv2 to be completed and prepared by the WG to be submitted.
2- The WG chairs and participants to work together in one team work of authoring one reactive protocol (a merge solution, with both draft authors including WG chair).
3- Accept the individual LOADng draft as a second reactive protocol, then, to decide in the future how to merge both AODVv2 ideas into LOADng depending on comparing specifications.
My Comments on the mentioned drafts history and your recommended options, in line in below message,

AB
++++++++++++++

There was never any announcement of such merge movement, however, there was a suggestion for that by one DYMO author but was refused by one LOADng author.

Again in the 84 meeting there was no such announcement of any merge between DYMO's I-D and the LOADng I-D. We only seen an author added to LOADng I-D which was an author of DYMO I-D, but does not meen merging drafts and not announced to WG such suggestions.

1. Continue the work on the DYMO document, starting with whether there is consensus on its continued approach and also the desire to rename it to AODVv2.
There is no reason why we need to ignore this option, is it because DYMO authors did not do any work for some time and the WG as well did not do any, or is it because an individual draft came up to interrupt the WG work in progress.

We need to accept the LOADng as a WG item first then we decide if we can take option 2

The reactive protocol is a must protocol for MANETs, killing it will not really kill it but will give chance to other competitor organisations to standard reactive protocol before IETF.

-Joe

---

From: Joydeep Tripathi <[email-masked]>
Date: Thu, 1 Nov 2012 20:58:57 -0400

Hi Joe and MANET WG,

I was following the discussion on which route to take for a reactive
protocol standard very closely, and I think I should post my opinion also.
I champion for *Option 1*, and here is why :

I have read both AODVv2 (DYMO) and LOAD-ng drafts, and I have simulated
LOAD-ng myself as well. This experience, I believe, puts me in a position
to form an opinion comparing these two protocols. I certainly agree, option
3 is *not* an option I would like to be chosen. Reactive protocols, though
very much unsuitable for LLNs and Smart Grid AMI meter networks, may have
some usefulness in certain networks for certain sparse traffic scenario,
and the WG should have a standard for the same.

Firstly, LOAD-ng is backed up by the argument that it has implementations
and interop documents. However, I have seen in the mailing list, that
certain question on details of the 'practical' implementation of LOAD-ng
has been avoided. A reactive protocol may do well in a 2000 nodes smart
meter network, if the data traffic to the base station or collector is 1-2
times a day. This kind of implementations, in my opinion, say nothing about
usefulness of LOAD-ng in Smart Grid networks or LLNs. Again, whether LLN
may be considered as a subset of MANET or not is a different question. But
even then, deployed LOAD-ng in a 2000 node network may (and in my opinion,
will) fail if traffic is increased. Agreed, one size does not fit all.
However, once we have multicast traffic in a smart grid or multiple meters
generating alert packets in a region at the same time, a reactive protocol
like LOAD-ng will lead to the break-down of the network. Anyone can say
multicast traffic or several meters reporting emergency at the same time to
the same station, is a very much likely situation in smart grid. Were these
situations considered during deployment? Please note, I am NOT saying
that AODVv2 / DYMO will be better in this case than LOAD-ng. IMHO, any
protocol can be shown 'working perfectly', if we provide a favorable
atmosphere only for it to work. Looking at that perspective, I don't think,
*LOAD-ng working in one network under one particular scenario should be
considered a vital argument to discuss whether to go with AODVv2 or LOAD-ng*.
One can write a working code of AODVv2 in 2 days. The real question we
should be asking, which protocol is better suited for general MANET
overall, and if there really is a *necessity* of discarding a working group
document.

Secondly, LOAD-ng was devised keeping LLN scenario in mind. It was intended
for ROLL WG, and since it had not been adopted in the ROLL WG, it popped up
in the MANET WG. The change that has been done to LOAD-ng after dragging it
to MANET WG, was really to change the message format to adhere to RFC 5444,
and do a "find and replace" of the term LLN with 'MANET' along with
changing the first 'L' of LOAD ng from 'LLN' to 'Lightweight'. Since the
protocol was designed for LLN at first, I do not think it would be able to
cover the broad spectrum that MANET includes. Since we already have a WG
document for a reactive protocol, I do not see any strong reason to discard
the current one in favor of an individual draft, especially when even
LOAD-ng authors agreed that this protocol will not offer any notable
performance difference compared to AODVv2.

At the same time, since I have read both drafts, I figured out that AODVv2
is more generic to MANET than LOAD-ng. It offers the developer or the
deployment authority to chose form more than one options. For example,
AODVv2 has the option (but it is not mandated) to use a precursor list or
have an intermediate node to reply an RREQ. LOAD-ng does not support
either. I can understand that for an LLN it may be beneficial for not
maintaining a precursor list or having only the destination reply t o a
RREQ, there can be (and are) other instances of MANETs where having the
option of precursor list will come handy. This can save on control
overhead, using some storage space in the node. LOAD-ng, in most cases does
not provide this flexibility to the developer to chose between options for
specific deployment. Some MANET deployment may be less harsh than others in
nature. Hence, AODVv2 having more open options than LOAD-ng, in most cases,
seem beneficial to me. Of course, there are other technical differences
between these protocols. But I believe there is a separate thread created
for that. I will wait for the draft authors to reply there first, and will
reply with my points if all those differences are not covered. There, I
will re-iterate the necessity of a protocol to be suited for MANET in
general, not only 'some' kind of MANETs.

Lastly, I do not come from any industry, neither I have any company
road-map of deliverable here. Being a PhD candidate in a university, I
tried to fairly judge the two options. So I read both drafts, and did not
find a strong enough reason to discard a current working group document.
Whether a few companies backing up a protocol over the other can be a
decisive criteria to chose a standard protocol or not, is in the WG and its
chairs most capable hands. Also, I did not, very clearly understand how
LOAD-ng, operating properly in a 2-5 routers test-bed may be considered as
proof of valid interoperability. I would very much appreciate feedback if I
am wrong, since I am in my learning phase :-) . I have my 2 cents here - a)
AODVv2 offers more flexibility, b) LOAD-ng does not offer enough advantage
over AODVv2 to discard the later, c) LOAD-ng was not initially designed for
MANET, and d) there are other technical differences that make AODVv2 more
suitable for MANETs over LOAD-ng (To be covered in separate thread).  My
opinion - We should stick to current WG document (AODVv2) and improve it
and finish it as soon as possible. I hereby stand for *Option 1*.

Thanks and Regards,

Joydeep Tripathi
PhD Candidate,
Drexel University.

---

From: Ulrich Herberg <[email-masked]>
Date: Thu, 1 Nov 2012 18:39:02 -0700

Hi Joydeep,

On Thu, Nov 1, 2012 at 5:58 PM, Joydeep Tripathi <[email-masked]> wrote:

> to form an opinion comparing these two protocols.
>

That is valuable. Have you also implemented DYMO and compared it to LOADng?

> I certainly agree, option 3 is *not* an option I would like to be chosen.
> Reactive protocols, though very much unsuitable for LLNs and Smart Grid AMI
> meter networks,
>

I differ on that, and so do some of the LOADng authors that work in that
area. But that's not the point of the discussion here.

> may have some usefulness in certain networks for certain sparse traffic
> scenario, and the WG should have a standard for the same.
>

I agree.

> has been avoided.

I don't see how. There was a description of the deployment and about the
suitability for LOADng in that. Note that for DYMO, there is no such
deployment (to my knowledge), which is why I think your conclusion for
option 1 instead of option 3 is surprising to me.

> A reactive protocol may do well in a 2000 nodes smart meter network, if
> the data traffic to the base station or collector is 1-2 times a day. This
> kind of implementations, in my opinion, say nothing about usefulness of
> LOAD-ng in Smart Grid networks or LLNs.
>

It is well known (and also spelled out in DYMO), that reactive protocols
are more suitable for sparse traffic scenarios with few concurrent
communication streams. That is well-known and understood in MANET, and a
reasons to work on a proactive protocol as well. Reactive protocols have
their limitations, but in certain MANET use cases are useful, which is why
we are chartered to work on a reactive protocol.

> Again, whether LLN may be considered as a subset of MANET or not is a
> different question. But even then, deployed LOAD-ng in a 2000 node network
> may (and in my opinion, will) fail if traffic is increased.
>

That is possible. Both in DYMO and LOADng.

> Agreed, one size does not fit all. However, once we have multicast traffic
> in a smart grid or multiple meters generating alert packets in a region at
> the same time, a reactive protocol like LOAD-ng will lead to the break-down
> of the network. Anyone can say multicast traffic or several meters
> reporting emergency at the same time to the same station, is a very much
> likely situation in smart grid. Were these situations considered during
> deployment? Please note, I am NOT saying that AODVv2 / DYMO will be better
> in this case than LOAD-ng.
>

But why are you opting for option 1 then? That seems not logical. You argue
against reactive protocols in general. All what you say above is known to
MANET, long before ROLL and LLN even existed.

> IMHO, any protocol can be shown 'working perfectly', if we provide a
> favorable atmosphere only for it to work.
>

Yes, I agree. You say yourself, no-one-size-fits all, which is why MANET
works on both reactive and proactive protocol.

> Looking at that perspective, I don't think, *LOAD-ng working in one
> network under one particular scenario should be considered a vital argument
> to discuss whether to go with AODVv2 or LOAD-ng*.
>

LOADng has one large-scale deployment, DYMO does not. LOADng has multiple
recent interoperable implementations, DYMO has not. LOADng is based on the
same mechanism of AODV that is known to work in certain MANET scenarios. So
why do you opt for 1) and not 3)?

>
> Secondly, LOAD-ng was devised keeping LLN scenario in mind. It was
> intended for ROLL WG, and since it had not been adopted in the ROLL WG, it
> popped up in the MANET WG. The change that has been done to LOAD-ng after
> dragging it to MANET WG, was really to change the message format to adhere
> to RFC 5444,
>

That is true, the work was initiated from LLNs. However, as you say
yourself, it has adopted RFC5444 and other MANET requirements. Note that
amongst the authors, there are a large part of the previous RFC editors of
MANET presented. We know MANETs and their requirements. Can you point out a
specific requirement that LOADng would not fulfill but DYMO would?

> cover the broad spectrum that MANET includes.
>

Why? And why does DYMO? I don't see a technical argument.

> Since we already have a WG document for a reactive protocol, I do not see
> any strong reason to discard the current one in favor of an individual
> draft, especially when even LOAD-ng authors agreed that this protocol will
> not offer any notable performance difference compared to AODVv2.
>

Yes, but the document is not aligned with the RFC5444 architecture, it is
not possible to secure, and it would be a lot more work to come to an RFC,
in my opinion (lots of unclear and underspecified text, incomplete IANA
section, unclear metrics, underspecified bidirectionality detection).

> deployment authority to chose form more than one options.
>

Options may be fine, but they also affect interoperability if not carefully
designed. And they may, as for some of the options like iRREP, make it very
difficult or impossible to provide end-to-end security.

> For example, AODVv2 has the option (but it is not mandated) to use a
> precursor list or have an intermediate node to reply an RREQ. LOAD-ng does
> not support either.
>

That is not true. We opted to move these in companion document, as we have
not seen proof that these options would bring benefit in a general MANET
case.

I can understand that for an LLN it may be beneficial for not maintaining a
> precursor list or having only the destination reply t o a RREQ, there can
> be (and are) other instances of MANETs where having the option of precursor
> list will come handy.
>

Which? Can you show results that this is beneficial in a general use case?

> This can save on control overhead, using some storage space in the node.
> LOAD-ng, in most cases does not provide this flexibility to the developer
> to chose between options for specific deployment.
>

Again, not true. We provide TLVs, and extensions are possible in companion
documents. We have very carefully designed each RFC2119 word to make sure
extensions are allowed. Multiple options always carry a great risk of
non-interoperability.

> Some MANET deployment may be less harsh than others in nature. Hence,
> AODVv2 having more open options than LOAD-ng, in most cases, seem
> beneficial to me.
>

"seems beneficial"? Have you proof for the use of the options?

> Of course, there are other technical differences between these protocols.
> But I believe there is a separate thread created for that. I will wait for
> the draft authors to reply there first, and will reply with my points if
> all those differences are not covered. There, I will re-iterate the
> necessity of a protocol to be suited for MANET in general, not only 'some'
> kind of MANETs
>

> tried to fairly judge the two options.
>

> So I read both drafts, and did not find a strong enough reason to discard
> a current working group document. Whether a few companies backing up a
> protocol over the other can be a decisive criteria to chose a standard
> protocol or not, is in the WG and its chairs most capable hands. Also, I
> did not, very clearly understand how LOAD-ng, operating properly in a 2-5
> routers test-bed may be considered as proof of valid interoperability.
>

Why not? What would it change to add 100 nodes? I have never seen any
interop tests with more than a handful nodes. Again: interop tests are not
performance tests.
By the way, I have not seen any such open interoperability tests during the
development of DYMO .

> I would very much appreciate feedback if I am wrong, since I am in my
> learning phase :-) . I have my 2 cents here - a) AODVv2 offers more
> flexibility,
>

As said, LOADng offers the same flexibility. Flexibility is nice, but one
has to be very careful with interoperability. If LOADng were to be a WG
document, of course the WG can discuss if certain options bring a general
benefit and don't harm interoperability, then we can include it.

> b) LOAD-ng does not offer enough advantage over AODVv2 to discard the
> later,
>

One major advantage is that it could be an RFC far quicker. In the current
shape, the SEC AD would certainly not accept DYMO, and it would require a
lot more work to bring to a level that is acceptable for a standards track
RFC.

> c) LOAD-ng was not initially designed for MANET,
>

I don't see the argument here (see above)

> and d) there are other technical differences that make AODVv2 more
> suitable for MANETs over LOAD-ng (To be covered in separate thread).
>

I am curious to see that.

Best
Ulrich

> My opinion - We should stick to current WG document (AODVv2) and improve
> it and finish it as soon as possible. I hereby stand for *Option 1*.
>
> Thanks and Regards,
>
> Joydeep Tripathi
> PhD Candidate,
> Drexel University.
>
>

---

From: Jon Black <[email-masked]>
Date: Thu, 1 Nov 2012 20:40:07 -0700 (PDT)

But opinions without some technical details turns into a beauty contest and I don't think that is what the chairs were after.

Jon

________________________________
 From: JP Vasseur (jvasseur) <[email-masked]>
To: Jon Black <[email-masked]> 
Cc: Abdussalam Baryun <[email-masked]>; manet <[email-masked]> 
Sent: Thursday, November 1, 2012 12:36 PM
Subject: Re: [manet] Reactive Protocol Situation

Thanks.

JP.

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Fri, 2 Nov 2012 08:01:44 +0000

On Nov 1, 2012, at 4:57 PM, Abdussalam Baryun wrote:

Dear MANET WG Chairs,

JP> agreeing so far, and include in AODVv2 all features that the WG would consider useful, this is what is proposed by Charlie.

JP> Not sure that we can have 2 though, charter is for ONE.

Thanks.

JP.

AB
++++++++++++++

-Joe

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Fri, 2 Nov 2012 08:10:18 +0000

You keep ignoring what I wrote … I think that I explained why reactive routing was a major issue for LLN at least twice and I will provide
numbers too. I also explained why I would strongly favor Option 1 (which was THE question asked by the chair).

On Nov 1, 2012, at 11:40 PM, Jon Black wrote:

Jon

________________________________
From: JP Vasseur (jvasseur) <[email-masked]<mailto:[email-masked]>>
To: Jon Black <[email-masked]<mailto:[email-masked]>>
Cc: Abdussalam Baryun <[email-masked]<mailto:[email-masked]>>; manet <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, November 1, 2012 12:36 PM
Subject: Re: [manet] Reactive Protocol Situation

Thanks.

JP.

Jon

AB

Tel: +44 1245 242194<x-msg://47/> |  Fax: +44 1245 242124<x-msg://47/>

*** WARNING ***

Thanks.

JP.

-Joe

---

From: Jiazi YI <[email-masked]>
Date: Fri, 2 Nov 2012 10:42:26 +0100

Dear Joydeep, 

Thanks for you comments. Ulrich has already given a detailed reply, so I would be brief. Please check inline. 

On Nov 2, 2012, at 1:58 AM, Joydeep Tripathi <[email-masked]> wrote:

> Hi Joe and MANET WG,
> 
> I was following the discussion on which route to take for a reactive protocol standard very closely, and I think I should post my opinion also. I champion for Option 1, and here is why : 
> 
> I have read both AODVv2 (DYMO) and LOAD-ng drafts, and I have simulated LOAD-ng myself as well. This experience, I believe, puts me in a position to form an opinion comparing these two protocols. I certainly agree, option 3 is *not* an option I would like to be chosen. Reactive protocols, though very much unsuitable for LLNs and Smart Grid AMI meter networks, may have some usefulness in certain networks for certain sparse traffic scenario, and the WG should have a standard for the same.

JY>I can't agree here. There have been large deployments of LOADng. But this is not related to this discussion. 

> 
> Firstly, LOAD-ng is backed up by the argument that it has implementations and interop documents. However, I have seen in the mailing list, that certain question on details of the 'practical' implementation of LOAD-ng has been avoided. A reactive protocol may do well in a 2000 nodes smart meter network, if the data traffic to the base station or collector is 1-2 times a day. This kind of implementations, in my opinion, say nothing about usefulness of LOAD-ng in Smart Grid networks or LLNs. Again, whether LLN may be considered as a subset of MANET or not is a different question. But even then, deployed LOAD-ng in a 2000 node network may (and in my opinion, will) fail if traffic is increased. Agreed, one size does not fit all. However, once we have multicast traffic in a smart grid or multiple meters generating alert packets in a region at the same time, a reactive protocol like LOAD-ng will lead to the break-down of the network. Anyone can say multicast traffic or several meters reporting emergency at the same time to the same station, is a very much likely situation in smart grid. Were these situations considered during deployment? Please note, I am NOT saying that AODVv2 / DYMO will be better in this case than LOAD-ng. IMHO, any protocol can be shown 'working perfectly', if we provide a favorable atmosphere only for it to work. Looking at that perspective, I don't think, LOAD-ng working in one network under one particular scenario should be considered a vital argument to discuss whether to go with AODVv2 or LOAD-ng. One can write a working code of AODVv2 in 2 days. The real question we should be asking, which protocol is better suited for general MANET overall, and if there really is a *necessity* of discarding a working group document.
> 
> Secondly, LOAD-ng was devised keeping LLN scenario in mind. It was intended for ROLL WG, and since it had not been adopted in the ROLL WG, it popped up in the MANET WG. The change that has been done to LOAD-ng after dragging it to MANET WG, was really to change the message format to adhere to RFC 5444, and do a "find and replace" of the term LLN with 'MANET' along with changing the first 'L' of LOAD ng from 'LLN' to 'Lightweight'. Since the protocol was designed for LLN at first, I do not think it would be able to cover the broad spectrum that MANET includes. Since we already have a WG document for a reactive protocol, I do not see any strong reason to discard the current one in favor of an individual draft, especially when even LOAD-ng authors agreed that this protocol will not offer any notable performance difference compared to AODVv2. 

JY>Your first two arguments are self-contradictory. You are saying "LOADng doesn't fit all", and in the same time, citing "those two will not offer any notable performance difference". So my point is:
	1. If LOADng can't meet the requirement of MANET, then either do DYMO. I agree that they share the main mechanisms.
	2. The reason why LOADng is much more mature than DYMO is that it has much clearer specification, operation experience, interop test, running code --- that matters most in IETF. 

> 
> At the same time, since I have read both drafts, I figured out that AODVv2 is more generic to MANET than LOAD-ng. It offers the developer or the deployment authority to chose form more than one options. For example, AODVv2 has the option (but it is not mandated) to use a precursor list or have an intermediate node to reply an RREQ. LOAD-ng does not support either. I can understand that for an LLN it may be beneficial for not maintaining a precursor list or having only the destination reply t o a RREQ, there can be (and are) other instances of MANETs where having the option of precursor list will come handy. This can save on control overhead, using some storage space in the node. LOAD-ng, in most cases does not provide this flexibility to the developer to chose between options for specific deployment. Some MANET deployment may be less harsh than others in nature. Hence, AODVv2 having more open options than LOAD-ng, in most cases, seem beneficial to me. Of course, there are other technical differences between these protocols. But I believe there is a separate thread created for that. I will wait for the draft authors to reply there first, and will reply with my points if all those differences are not covered. There, I will re-iterate the necessity of a protocol to be suited for MANET in general, not only 'some' kind of MANETs.

JY>Being "more generic" is not necessarily a good thing for standard track protocol. In fact, DYMO gives a lot of options without specifying them. This gives a lot of problems in interoperability and security  (please check Ulrich's comment to dymo-23. I will post my comments to DYMO-23 later). I have no doubt that giving how smart you are, you can implement DYMO in several days with your understanding, but I don't believe with dymo-23, one can have independent interoperable implementations. 

JY>In fact, LOADng offers great flexibility by conforming to rfc5444, and can be extended with other options. But this would appear as separate documents with the considerations of interoperability and security. 

> 
> Lastly, I do not come from any industry, neither I have any company road-map of deliverable here. Being a PhD candidate in a university, I tried to fairly judge the two options. So I read both drafts, and did not find a strong enough reason to discard a current working group document. Whether a few companies backing up a protocol over the other can be a decisive criteria to chose a standard protocol or not, is in the WG and its chairs most capable hands. Also, I did not, very clearly understand how LOAD-ng, operating properly in a 2-5 routers test-bed may be considered as proof of valid interoperability. I would very much appreciate feedback if I am wrong, since I am in my learning phase :-) . I have my 2 cents here - a) AODVv2 offers more flexibility, b) LOAD-ng does not offer enough advantage over AODVv2 to discard the later, c) LOAD-ng was not initially designed for MANET, and d) there are other technical differences that make AODVv2 more suitable for MANETs over LOAD-ng (To be covered in separate thread).  My opinion - We should stick to current WG document (AODVv2) and improve it and finish it as soon as possible. I hereby stand for Option 1. 

JY> I think I don't need to repeat my preferred option as one of the LOADng authors. I'm not surprised by your position as researchers around RPL either. 
But I'm still vey appreciate your detailed comments as your first post to manet mailing list (at least with my short memory). I'm glad to see all those discussions are attracting more and more RPLers' attention. Your experience can surely help us improving reactive protocol's application to LLNs (as a subset of MANET), which makes the LOADng authors can more focus on more general MANET applications. 

best

Jiazi

---

From: C Chauvenet <[email-masked]>
Date: Fri, 2 Nov 2012 10:10:17 +0000

Hi,

I am in violent agreement with all this  message !
There are some crucial points to count here.

Cédric.

Sent from a phone

Le 2 nov. 2012 à 01:59, "Joydeep Tripathi" <[email-masked]<mailto:[email-masked]>> a écrit :

Hi Joe and MANET WG,

Thanks and Regards,

Joydeep Tripathi
PhD Candidate,
Drexel University.

On Tue, Oct 30, 2012 at 7:13 PM, Joseph Macker <[email-masked]<mailto:[email-masked]>> wrote:
Hello MANET working group (form Stan and Joe),

-Joe

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Fri, 2 Nov 2012 10:16:18 +0000

Hi,

On Nov 2, 2012, at 10:42 AM, Jiazi YI wrote:

Dear Joydeep,

On Nov 2, 2012, at 1:58 AM, Joydeep Tripathi <[email-masked]<mailto:[email-masked]>> wrote:

Hi Joe and MANET WG,

JP> We would like to hear details on these deployments: traffic matrix/profile, low link layers, …

JP> None of the document meet the quality criteria as of now, and both would need more work, as also acknowledged by Charlie who agreed
to spend cycles on DYMO/AODVv2.

JP> I'd rather think of the opposite. DYMO is IMO a superset that we can make compatible.

JP> Not sure what you mean but two comments:
1) Researchers have considerably helped in protocol designs
2) RPL is certainly not an experimental protocol - as documented with some details (not enough !) it is running in several large scale networks;
within 3-4 weeks two other networks will be added to the document, each with 3-5 thousands nodes.

But again, the discussion is not about RPL versus Load or DYMO.

best

Jiazi

Thanks and Regards,

Joydeep Tripathi
PhD Candidate,
Drexel University.

-Joe

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Fri, 2 Nov 2012 10:53:10 +0000

I have missed the technical arguments relating to the differences between DYMO and LOADng that lead you to favour DYMO. In fact I've missed this from almost every contributor.

The technical differences that have been raised so far relate to message mutability, handling asymmetric links, whether features such as IRREPs should be included, and so on. (I'm excluding nits of 5444 formatting, those are secondary.) Apart from the first (where LOADng supporters have made a security point) I don't see much discussing these.

From: [email-masked] [mailto:[email-masked]] On Behalf Of JP Vasseur (jvasseur)
Sent: 02 November 2012 08:10
To: Jon Black
Cc: manet
Subject: Re: [manet] Reactive Protocol Situation

*** WARNING ***
You keep ignoring what I wrote ... I think that I explained why reactive routing was a major issue for LLN at least twice and I will provide

Jon

Thanks.

JP.

Jon

AB

*** WARNING ***

Thanks.

JP.

-Joe

---

From: Teco Boot <[email-masked]>
Date: Fri, 2 Nov 2012 13:18:05 +0100

@Stan,

I think you and Joe should do whatever you can, as chairs, to get our work done. I have seen confusion on what chairs had in mind with this polling. Can you guide the discussion?

Thanks, Teco

Op 1 nov. 2012, om 21:11 heeft Stan Ratliff het volgende geschreven:

> On Thu, Nov 1, 2012 at 3:36 PM, JP Vasseur (jvasseur) <[email-masked]> wrote:
> Agree with you Don.
>

---

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 2 Nov 2012 13:02:16 +0000

Hi Teco,

The chair's 3 options suggested were confusing because the 3rd was
not wanted, I hope we get cooperative options and directions that we can
agree on, as you mentioned Teco I noticed that all want a reactive protocol
as standard, so lets start to delet option 3 and all object to that, and
focus to base our efforts on MANET charter and participants interests

AB

On Fri, Nov 2, 2012 at 12:18 PM, Teco Boot <[email-masked]> wrote:

> @Stan,
>
> I think you and Joe should do whatever you can, as chairs, to get our work
> done. I have seen confusion on what chairs had in mind with this polling.
> Can you guide the discussion?
>
> Thanks, Teco
>

---

From: Martin Heusse <[email-masked]>
Date: Fri, 2 Nov 2012 15:01:05 +0100

I'm standing for option 2 (LOADng).

I think it's better to agree first on a simple basic (versatile?) protocol before proposing extensions to it; instead of starting from a collection of ideas that can be used or not (and we know today what are the options, thank to the huge amount of work done on reactive routing during the past years). Conversely, it would be certainly easier to reach a consensus on a set of variants but we need a good reference point, first. 

Moreover, reactive routing is most probably the approach that one would pick for a simple case. So it should be simple... 

Martin

Le 2 nov. 2012 à 01:58, Joydeep Tripathi a écrit :

>  I can understand that for an LLN it may be beneficial for not maintaining a precursor list or having only the destination reply t o a RREQ, there can be (and are) other instances of MANETs where having the option of precursor list will come handy. This can save on control overhead, using some storage space in the node. LOAD-ng, in most cases does not provide this flexibility to the developer to chose between options for specific deployment. Some MANET deployment may be less harsh than others in nature. Hence, AODVv2 having more open options than LOAD-ng, in most cases, seem beneficial to me.

---

From: Yuichi IGARASHI <[email-masked]>
Date: Fri, 02 Nov 2012 23:54:44 +0900

Hi,

I agree with Martin and I would support option 2) at this stage.

We LOADng co-authors made efforts to simplify core specification of the 
reactive protocol and to improve the readability of the draft. I think 
this approach is important not only for all implementor to shorten the 
development time, but also for business operators to make multi-vendor 
system easier to provide. Of course, I agree that, as several persons 
pointed out, "this draft" may limit use case. But we leave sufficient 
space for improving performance/adding functions by companion drafts.

I am really concerned about complexity/difficulty of guaranteeing of 
interoperability. If the protocol becomes complicated, we need much 
time(many years?) for interoperability test. I think we should consider 
both time required for merging drafts and shape of document.

Best regards,
Yuichi

-- 
  Hitachi, Ltd., Yokohama Research Laboratory
  IGARASHI Yuichi
  Mail： [email-masked]
  Tel ： +81-(0)45-860-3083
  FAX ： +81-(0)45-860-1673

---

From: Ulrich Herberg <[email-masked]>
Date: Fri, 2 Nov 2012 08:08:09 -0700

I think one key point to stress is one that Chris mentioned:
Both protocols are similar in their operation and performance. So anyone arguing against the performance of LOADng is automatically also not interested in DYMO. 

However, LOADng is far closer to become an RFC in terms of the document quality. If we start the new reactive protocol on the basis of the LOADng draft (and I personally don't care what we name that protocol is), we can continue the work on the reactive protocol together and discuss the multiple options that are currently in DYMO and see whether they should be discarded, put into a companion document or in the core spec. 

Best
Ulrich

On Nov 2, 2012, at 7:54, Yuichi IGARASHI <[email-masked]> wrote:

> We LOADng co-authors made efforts to simplify core specification of the reactive protocol and to improve the readability of the draft. I think this approach is important not only for all implementor to shorten the development time, but also for business operators to make multi-vendor system easier to provide. Of course, I agree that, as several persons pointed out, "this draft" may limit use case. But we leave sufficient space for improving performance/adding functions by companion drafts.
> 
> I am really concerned about complexity/difficulty of guaranteeing of interoperability. If the protocol becomes complicated, we need much time(many years?) for interoperability test. I think we should consider both time required for merging drafts and shape of document.
> 
> Best regards,
> Yuichi

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Fri, 2 Nov 2012 16:47:52 +0000

> Moreover, reactive routing is most probably the approach that one would pick for a simple case. So it should be simple... 

Yes if the use case is simple

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Fri, 2 Nov 2012 16:49:51 +0000

Dear Yuichi,

We all agree that the document should be easy to read and implement; if improvements must be made to DYMO-23, and there are … let's go ahead and
improve the document. Nothing wrong with that. We should not get mix the complexity of the document and the protocol.

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Fri, 2 Nov 2012 16:55:20 +0000

On Nov 2, 2012, at 11:08 AM, Ulrich Herberg wrote:

See my point Ulrich … and I wrote it down several times. There are major concerns in using Load-ng with LLNs. Quoting Load-ng:

3<http://tools.ietf.org/html/draft-clausen-lln-loadng-06#section-3>.  Applicability Statement

   This protocol:

   o  Is a reactive routing protocol for Mobile Ad hoc NETworks
      (MANETs).

   o  Is designed to work in networks with dynamic topology in which the
      links may be lossy due to collisions or unstable channel.  The use
      cases include vehicular networks, low power and lossy networks,
      community networks, military networks, disaster recovery networks,
      etc.

This is where I strongly object, as several other ones on this mailing list. One cannot simply forget 4-5 years of hard work from a WG that focussed
on this use case and concluded that such protocol is not applicable to LLNs.

Best
Ulrich

On Nov 2, 2012, at 7:54, Yuichi IGARASHI <[email-masked]<mailto:[email-masked]>> wrote:

Hi,

Best regards,
Yuichi

Martin

Mail： [email-masked]<mailto:[email-masked]>

---

From: Henning Rogge <[email-masked]>
Date: Fri, 2 Nov 2012 18:00:21 +0100

On Fri, Nov 2, 2012 at 5:55 PM, JP Vasseur (jvasseur)
<[email-masked]> wrote:

> See my point Ulrich … and I wrote it down several times. There are major
> concerns in using Load-ng with LLNs. Quoting Load-ng:
>
> 3.  Applicability Statement
>
>    This protocol:
>
> This is where I strongly object, as several other ones on this mailing list.
> One cannot simply forget 4-5 years of hard work from a WG that focussed

This argument doesn't make any sense at all.

The work of ROLL is totally irrelevant to the question if LoadNG is
useful both for MANET and for LLNs (which I still consider a special
case without MANET).

Henning Rogge

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Fri, 2 Nov 2012 17:18:25 +0000

> This argument doesn't make any sense at all.

JP> Why ? If MANET standardize a protocol with an applicability statement related to the work
of another WG, it does make perfect sense, … This is precisely why we have charters.

---

From: Henning Rogge <[email-masked]>
Date: Fri, 2 Nov 2012 18:22:32 +0100

> of another WG, it does make perfect sense, … This is precisely why we have charters.

And Charters overlap... just look for RFC 5614 as an example.

By your own words the effectiveness/overhead of LoadNG in LLNs
compared to other protocols will most likely depend on the traffic
patterns (which is also true for most other routing protocols,
especially Ripple).

Well, if this is true then it will be a GOOD thing to have LoadNG
standardized so people can choose the better protocol for their
use-case.

Henning Rogge

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Fri, 2 Nov 2012 17:39:49 +0000

> patterns (which is also true for most other routing protocols,

JP> This is technically incorrect - RPL/OSPF/BGP … performances are not directly a function
of the user traffic.

---

From: Henning Rogge <[email-masked]>
Date: Fri, 2 Nov 2012 18:58:02 +0100

> JP> This is technically incorrect - RPL/OSPF/BGP … performances are not directly a function

Ripple is a tree-based routing protocol.

its really good when sending traffic towards the local root, not as
good (but still good) when sending traffic from the root to its nodes,
bad when you send traffic between two nodes with the same root and
really bad when sending traffic between nodes that are not part of the
same root tree.

I would say its performance depends on the user traffic pattern.

The overhead (as a comparison between control plane traffic and data
plane traffic) is of course always different for each protocol
depending on the user traffic.

Henning Rogge

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Fri, 2 Nov 2012 18:10:18 +0000

Again your assumption are not correct - look at storing mode with OF to increase connectivity if required,
for P2P. But again … not appropriate for this list.

---

From: Jon Black <[email-masked]>
Date: Fri, 2 Nov 2012 13:38:22 -0700 (PDT)

Dear Yuichi,

[Jon] Sometimes they are one in the same

Jon

---

From: Jon Black <[email-masked]>
Date: Fri, 2 Nov 2012 13:49:54 -0700 (PDT)

3.  Applicability Statement This protocol: o  Is a reactive routing protocol for Mobile Ad hoc NETworks (MANETs). o  Is designed to work in networks with dynamic topology in which the links may be lossy due to collisions or unstable channel.  The use cases include vehicular networks, low power and lossy networks, community networks, military networks, disaster recovery networks, etc. 

[Jon] Is that your true objection to the LOADng draft.  Then I would think the simple solution is to remove this one paragraph and move on.  
Developers will  decide what protocols are applicable to their application as they should - as I will.
I will ask in ROLL where the conclusion was drawn that you cannot possibly use a reactive protocol in any LLN application.  That is for a discussion in ROLL not here.
Again if this one paragraph is all the fuss then lets please reach consensus to remove this and move forward.  Gosh that seems simple.

Jon

---

From: Jon Black <[email-masked]>
Date: Fri, 2 Nov 2012 14:25:56 -0700 (PDT)

Strange that you would lump RPL with OSPF and BGP.  RPL is a collection tree.  It is a tree.  It is great for MP2P as are all collection trees.  It is less great for P2MP and rather poor for P2P.

But this debate should go to ROLL, not here.

Jon

________________________________
 From: JP Vasseur (jvasseur) <[email-masked]>
To: Henning Rogge <[email-masked]> 
Cc: "[email-masked]" <[email-masked]> 
Sent: Friday, November 2, 2012 11:39 AM
Subject: Re: [manet] Reactive Protocol Situation

---

From: Jon Black <[email-masked]>
Date: Fri, 2 Nov 2012 14:29:00 -0700 (PDT)

Ah but now you mix apples and oranges.  Storing mode is not good for highly constrained devices (they don't have the memory for storing mode) so for many LLNs you are stuck with non-storing mode which is poor with P2MP, but still fine with MP2P.  And therefore Henning's point is valid.  It depends on traffic.

Jon

Sent: Friday, November 2, 2012 12:10 PM

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Sat, 3 Nov 2012 08:10:24 +0000

Hi "Jon"

You can keep ignoring what I am writing … but this does not help. The issue is not "this" paragraph - I explained why a number of times.
And proposed a way to go, call it option 1.5.

On Nov 2, 2012, at 4:49 PM, Jon Black wrote:

   This protocol:

Jon

Best
Ulrich

Hi,

Best regards,
Yuichi

Martin

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Sat, 3 Nov 2012 08:22:30 +0000

Sorry but you missed the point. These were examples of routing protocols not affected by the user traffic since you assessment was
technically completely incorrect. Please read RFC6550: RPL is not a collection tree, but build DAGs (this is a very different mathematical
construct), potentially multiple DAGs (instances) and yes there is a P2P version. Even in storing mode, P2P is supported. You only need
to read the introduction to get this information.

Anyway, let's move on, this is not the mailing list for this discussion.

Time to move on …

On Nov 2, 2012, at 5:25 PM, Jon Black wrote:

Jon

To: Henning Rogge <[email-masked]<mailto:[email-masked]>>

On Nov 2, 2012, at 1:22 PM, Henning Rogge wrote:

> <[email-masked]<mailto:[email-masked]>> wrote:

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Sat, 3 Nov 2012 08:25:12 +0000

OK I will stop arguing here -- If I may reread what you wrote, then read RFC6550 and you will quickly see why you mis-undertood the protocol.
Hint: think of DAG rooted at source of traffic, use address aggregation mapping to topologies, P2P, storing of source routed paths.

On Nov 2, 2012, at 5:29 PM, Jon Black wrote:

Jon

---

From: Joseph Macker <[email-masked]>
Date: Sat, 3 Nov 2012 11:01:51 -0400

I realize it is exciting to discuss and people keep alluding to it so
responses are naturally triggers but  I would ask you to please remove any
further ROLL performance debates from this WG list.

Let us concentrate on LOADng and DYMO documents and find a way forward.

On Sat, Nov 3, 2012 at 4:25 AM, JP Vasseur (jvasseur) <[email-masked]>wrote:

>  OK I will stop arguing here -- If I may reread what you wrote, then read
> RFC6550 and you will quickly see why you mis-undertood the protocol.
> Hint: think of DAG rooted at source of traffic, use address aggregation
> mapping to topologies, P2P, storing of source routed paths.
>
>   Ah but now you mix apples and oranges.  Storing mode is not good for
> highly constrained devices (they don't have the memory for storing mode) so
> for many LLNs you are stuck with non-storing mode which is poor with P2MP,
> but still fine with MP2P.  And therefore Henning's point is valid.  It
> depends on traffic.
>
> Jon
>
>
> *From:* JP Vasseur (jvasseur) <[email-masked]>
> *To:* Henning Rogge <[email-masked]>
> *Cc:* "[email-masked]" <[email-masked]>
> *Sent:* Friday, November 2, 2012 12:10 PM

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Sat, 3 Nov 2012 15:17:48 +0000

completely agreeing !

On Nov 3, 2012, at 11:01 AM, Joseph Macker wrote:

I realize it is exciting to discuss and people keep alluding to it so responses are naturally triggers but  I would ask you to please remove any further ROLL performance debates from this WG list.

On Sat, Nov 3, 2012 at 4:25 AM, JP Vasseur (jvasseur) <[email-masked]<mailto:[email-masked]>> wrote:
OK I will stop arguing here -- If I may reread what you wrote, then read RFC6550 and you will quickly see why you mis-undertood the protocol.
Hint: think of DAG rooted at source of traffic, use address aggregation mapping to topologies, P2P, storing of source routed paths.

Jon

---

From: Jon Black <[email-masked]>
Date: Sat, 3 Nov 2012 08:42:15 -0700 (PDT)

What you contend is that a reactive protocol cannot be used in an LLN (Just plain wrong, but that isn't this discussion.  You derailed the discussion bringing it to that.)  But that isn't the issue before the group.

You have no substantive technical arguments on why we should proceed with DYMO rather than LOADng.

it appears you only real objection to the LOADng draft is the name and that it suggests that it can be used in LLNs.  Your acceptance of the DYMO draft is not at all technical. [Your concerns about LOADng used in LLNs apply equally to DYMO, so there is no technical argument between moving forward with DYMO or LOADng].  You accept DYMO because the current draft does not indicate that it can be used in an LLN.

You don't like the name and you don't like that the authors indicated it could be used in some LLN applications (which it can).

I and other have said that the current state of the draft is that the DYMO draft needs a lot of major work and things have to cut down to generate a draft that is implementable.  We have said that the LOADng draft appears to be closer to stable, is implementable (there are multiple implementations) but still needs working group input to complete.

Any discussion of if a reactive protocol could be or should be used in an LLN can be taken to ROLL for now and into the market.

This discussion should be about the differences in the drafts (which Ulrich has pointed out) and only that so that we can find the best starting point.

If you have specific points in the differences between the drafts bring them up.

We now know you don't like the name and the paragraph about LLNs

Jon

________________________________
 From: JP Vasseur (jvasseur) <[email-masked]>
To: Jon Black <[email-masked]> 
Cc: Ulrich Herberg <[email-masked]>; "[email-masked]" <[email-masked]> 
Sent: Saturday, November 3, 2012 2:10 AM
Subject: Re: [manet] Reactive Protocol Situation

Hi "Jon"

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Sat, 3 Nov 2012 15:57:34 +0000

Let's follow the directions stated by Joe. Stop the polemics. Hoping to SEE you for a technical discussion.

On Nov 3, 2012, at 11:42 AM, Jon Black wrote:

Jon

Cc: Ulrich Herberg <[email-masked]<mailto:[email-masked]>>; "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>

Hi "Jon"

   This protocol:

Jon

Best
Ulrich

Hi,

Best regards,
Yuichi

Martin

---

From: Jon Black <[email-masked]>
Date: Sat, 3 Nov 2012 09:00:41 -0700 (PDT)

Yes. we should take this to ROLL where we can talk about how storing mode really doesn't work in constrained devices and RPL does depend on traffic and traffic patterns.
That is about RPL and this is about a reactive protocol for Manets.

Jon

________________________________
 From: JP Vasseur (jvasseur) <[email-masked]>
To: Jon Black <[email-masked]> 
Cc: Henning Rogge <[email-masked]>; "[email-masked]" <[email-masked]> 
Sent: Saturday, November 3, 2012 2:25 AM
Subject: Re: [manet] Reactive Protocol Situation

---

From: Jon Black <[email-masked]>
Date: Sat, 3 Nov 2012 09:12:36 -0700 (PDT)

Last message on this really...  

JP - replying to your statements attacking my message is hardly polemic.

Jon

Sent: Saturday, November 3, 2012 9:57 AM

>it appears you only real objection to the LOADng draft is the name and that it suggests that it can be used in LLNs.  Your acceptance of the DYMO draft is not at all technical. [Your concerns about LOADng used in LLNs apply equally to DYMO, so there is no technical
 argument between moving forward with DYMO or LOADng].  You accept DYMO because the current draft does not indicate that it can be used in an LLN.
>I and other have said that the current state of the draft is that the DYMO draft needs a lot of major work and things have to cut down to generate a draft that is implementable.  We have said that the LOADng draft appears to be closer to stable, is implementable
 (there are multiple implementations) but still needs working group input to complete.

---

From: C Chauvenet <[email-masked]>
Date: Sun, 4 Nov 2012 07:42:19 +0000

Hi Mr Black,

As asked by chairs, I won't argue further on this topic here, but I certainly do not agree with your last mails.

You can certainly send a mail to the ROLL mailing list to discuss this.
It seems that you never argue that before, as I don't find any traces from you in ROLL (nor on any IETF archive before this debate BTW).

Cédric.

Le 3 nov. 2012 à 17:00, Jon Black a écrit :

Jon

Cc: Henning Rogge <[email-masked]<mailto:[email-masked]>>; "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>

Jon

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Mon, 5 Nov 2012 01:38:06 +0000

Hi,

On Nov 1, 2012, at 9:39 PM, Ulrich Herberg wrote:

Hi Joydeep,

On Thu, Nov 1, 2012 at 5:58 PM, Joydeep Tripathi <[email-masked]<mailto:[email-masked]>> wrote:
Hi Joe and MANET WG,

I have read both AODVv2 (DYMO) and LOAD-ng drafts, and I have simulated LOAD-ng myself as well. This experience, I believe, puts me in a position to form an opinion comparing these two protocols.

I certainly agree, option 3 is *not* an option I would like to be chosen. Reactive protocols, though very much unsuitable for LLNs and Smart Grid AMI meter networks,

I differ on that, and so do some of the LOADng authors that work in that area. But that's not the point of the discussion here.

may have some usefulness in certain networks for certain sparse traffic scenario, and the WG should have a standard for the same.

I agree.

Firstly, LOAD-ng is backed up by the argument that it has implementations and interop documents. However, I have seen in the mailing list, that certain question on details of the 'practical' implementation of LOAD-ng has been avoided.

I don't see how. There was a description of the deployment and about the suitability for LOADng in that. Note that for DYMO, there is no such deployment (to my knowledge), which is why I think your conclusion for option 1 instead of option 3 is surprising to me.

A reactive protocol may do well in a 2000 nodes smart meter network, if the data traffic to the base station or collector is 1-2 times a day. This kind of implementations, in my opinion, say nothing about usefulness of LOAD-ng in Smart Grid networks or LLNs.

It is well known (and also spelled out in DYMO), that reactive protocols are more suitable for sparse traffic scenarios with few concurrent communication streams. That is well-known and understood in MANET, and a reasons to work on a proactive protocol as well. Reactive protocols have their limitations, but in certain MANET use cases are useful, which is why we are chartered to work on a reactive protocol.

JP> We all agree, with a a non subtle nuance. I never said that reactive routing was a bad idea. These protocol are very useful.
They are just ill-suited to LLNs. If you design a protocol X in MANET and explicitly mention that it would not be applicable to LLNs,
then I would personally be fine. Now if you claim that a protocol such as Load could work in specify lightweight traffic use cases,
then can you explain why existing LLN routing protocol do not work ? The idea is to avoid having two protocols if one is sufficient
(once again for LLNs).

Again, whether LLN may be considered as a subset of MANET or not is a different question. But even then, deployed LOAD-ng in a 2000 node network may (and in my opinion, will) fail if traffic is increased.

Agreed, one size does not fit all. However, once we have multicast traffic in a smart grid or multiple meters generating alert packets in a region at the same time, a reactive protocol like LOAD-ng will lead to the break-down of the network. Anyone can say multicast traffic or several meters reporting emergency at the same time to the same station, is a very much likely situation in smart grid. Were these situations considered during deployment? Please note, I am NOT saying that AODVv2 / DYMO will be better in this case than LOAD-ng.

But why are you opting for option 1 then? That seems not logical. You argue against reactive protocols in general. All what you say above is known to MANET, long before ROLL and LLN even existed.

JP> If I may express my opinion (not sure what Joydeep thinks about this) you very well know that Load has been positioned
as a lightweight reactive routing protocol for LLNs. The deployment that has been mentioned on the list (without any details) is
related to AMI over PLC, probably one of the most constrained LLN. There are other reasons for opting for option 1.

IMHO, any protocol can be shown 'working perfectly', if we provide a favorable atmosphere only for it to work.

Yes, I agree. You say yourself, no-one-size-fits all, which is why MANET works on both reactive and proactive protocol.

Looking at that perspective, I don't think, LOAD-ng working in one network under one particular scenario should be considered a vital argument to discuss whether to go with AODVv2 or LOAD-ng.

LOADng has one large-scale deployment, DYMO does not. LOADng has multiple recent interoperable implementations, DYMO has not. LOADng is based on the same mechanism of AODV that is known to work in certain MANET scenarios.

JP> Along those lines, I could list a dozen of proprietary protocols deployed in the field, still the IETF does not have to standardize
them all.

Not going to each point one by one, if the document ends up trying to be applicable to LLNs, we would need to have it reviewed by a
wider audience (ROLLE WG). Chair hat off, I would offer to write an ID listing the number of issues using reactive in LLNs.

Thanks.

JP.

So why do you opt for 1) and not 3)?

One can write a working code of AODVv2 in 2 days. The real question we should be asking, which protocol is better suited for general MANET overall, and if there really is a *necessity* of discarding a working group document.

Secondly, LOAD-ng was devised keeping LLN scenario in mind. It was intended for ROLL WG, and since it had not been adopted in the ROLL WG, it popped up in the MANET WG. The change that has been done to LOAD-ng after dragging it to MANET WG, was really to change the message format to adhere to RFC 5444,

That is true, the work was initiated from LLNs. However, as you say yourself, it has adopted RFC5444 and other MANET requirements. Note that amongst the authors, there are a large part of the previous RFC editors of MANET presented. We know MANETs and their requirements. Can you point out a specific requirement that LOADng would not fulfill but DYMO would?

and do a "find and replace" of the term LLN with 'MANET' along with changing the first 'L' of LOAD ng from 'LLN' to 'Lightweight'. Since the protocol was designed for LLN at first, I do not think it would be able to cover the broad spectrum that MANET includes.

Since we already have a WG document for a reactive protocol, I do not see any strong reason to discard the current one in favor of an individual draft, especially when even LOAD-ng authors agreed that this protocol will not offer any notable performance difference compared to AODVv2.

Yes, but the document is not aligned with the RFC5444 architecture, it is not possible to secure, and it would be a lot more work to come to an RFC, in my opinion (lots of unclear and underspecified text, incomplete IANA section, unclear metrics, underspecified bidirectionality detection).

At the same time, since I have read both drafts, I figured out that AODVv2 is more generic to MANET than LOAD-ng. It offers the developer or the deployment authority to chose form more than one options.

Options may be fine, but they also affect interoperability if not carefully designed. And they may, as for some of the options like iRREP, make it very difficult or impossible to provide end-to-end security.

For example, AODVv2 has the option (but it is not mandated) to use a precursor list or have an intermediate node to reply an RREQ. LOAD-ng does not support either.

That is not true. We opted to move these in companion document, as we have not seen proof that these options would bring benefit in a general MANET case.

I can understand that for an LLN it may be beneficial for not maintaining a precursor list or having only the destination reply t o a RREQ, there can be (and are) other instances of MANETs where having the option of precursor list will come handy.

This can save on control overhead, using some storage space in the node. LOAD-ng, in most cases does not provide this flexibility to the developer to chose between options for specific deployment.

Again, not true. We provide TLVs, and extensions are possible in companion documents. We have very carefully designed each RFC2119 word to make sure extensions are allowed. Multiple options always carry a great risk of non-interoperability.

Some MANET deployment may be less harsh than others in nature. Hence, AODVv2 having more open options than LOAD-ng, in most cases, seem beneficial to me.

Of course, there are other technical differences between these protocols. But I believe there is a separate thread created for that. I will wait for the draft authors to reply there first, and will reply with my points if all those differences are not covered. There, I will re-iterate the necessity of a protocol to be suited for MANET in general, not only 'some' kind of MANETs

Lastly, I do not come from any industry, neither I have any company road-map of deliverable here. Being a PhD candidate in a university, I tried to fairly judge the two options.

So I read both drafts, and did not find a strong enough reason to discard a current working group document. Whether a few companies backing up a protocol over the other can be a decisive criteria to chose a standard protocol or not, is in the WG and its chairs most capable hands. Also, I did not, very clearly understand how LOAD-ng, operating properly in a 2-5 routers test-bed may be considered as proof of valid interoperability.

Why not? What would it change to add 100 nodes? I have never seen any interop tests with more than a handful nodes. Again: interop tests are not performance tests.
By the way, I have not seen any such open interoperability tests during the development of DYMO .

I would very much appreciate feedback if I am wrong, since I am in my learning phase :-) . I have my 2 cents here - a) AODVv2 offers more flexibility,

As said, LOADng offers the same flexibility. Flexibility is nice, but one has to be very careful with interoperability. If LOADng were to be a WG document, of course the WG can discuss if certain options bring a general benefit and don't harm interoperability, then we can include it.

b) LOAD-ng does not offer enough advantage over AODVv2 to discard the later,

One major advantage is that it could be an RFC far quicker. In the current shape, the SEC AD would certainly not accept DYMO, and it would require a lot more work to bring to a level that is acceptable for a standards track RFC.

and d) there are other technical differences that make AODVv2 more suitable for MANETs over LOAD-ng (To be covered in separate thread).

Best
Ulrich

My opinion - We should stick to current WG document (AODVv2) and improve it and finish it as soon as possible. I hereby stand for Option 1.

Thanks and Regards,

Joydeep Tripathi
PhD Candidate,
Drexel University.

-Joe

---

From: Jon Black <[email-masked]>
Date: Sun, 4 Nov 2012 18:05:51 -0800 (PST)

JP, once again you are distracting us from the topics that needs to be discussed.  This is not and should not be a debate on if or if not LLNs can use a reactive protocol.

It \IS/ a discussion about which of the two documents is in the best shape for this working group to move forward to complete our charter item of producing a reactive routing protocol for MANETs.

We know you think that RPL has the exclusive rights to routing in LLNs.  We got it.

Can we please move to the necessary discussion.  If you have some specific items in the comparison between the DYMO draft and the LOADng draft, please bring them up.  You have not yet.  Have you read both drafts?

Jon

________________________________
 From: JP Vasseur (jvasseur) <[email-masked]>
To: Ulrich Herberg <[email-masked]> 
Cc: "<[email-masked]>" <[email-masked]> 
Sent: Sunday, November 4, 2012 6:38 PM
Subject: Re: [manet] Reactive Protocol Situation

Hi, 

Hi Joydeep,

Thanks.

JP.

---

From: "Timothy J. Salo" <[email-masked]>
Date: Sun, 04 Nov 2012 20:13:43 -0600

On 11/4/2012 7:38 PM, JP Vasseur (jvasseur) wrote:
> JP> We all agree, with a a non subtle nuance. I never said that reactive
> routing was a bad idea. These protocol are very useful.
> They are just ill-suited to LLNs. If you design a protocol X in MANET
> and explicitly mention that it would not be applicable to LLNs,
> then I would personally be fine. Now if you claim that a protocol such
> as Load could work in specify lightweight traffic use cases,
> then can you explain why existing LLN routing protocol do not work ? The
> idea is to avoid having two protocols if one is sufficient
> (once again for LLNs).

I don't believe that there is working group consensus on this point.
And, there even appears to be some evidence to the contrary.  As far as
I can tell, only one person has expressed this opinion, although he has
repeated it dozens of times.

I would like to think that working group consensus is determined
by the number of people supporting a position, not by the number of
email messages that a single person can generate.

-tjs

---

From: "Timothy J. Salo" <[email-masked]>
Date: Sun, 04 Nov 2012 21:15:16 -0600

> Let us concentrate on LOADng and DYMO documents and find a way forward.

I believe that it _may_ make sense to _consider_ two documents: one
document that specifies a core reactive protocol for MANETs and another
document that specifies extensions to the core reactive protocol.

This approach _may_ have the benefit of enabling the core protocol
specification to move more quickly towards an Internet standard.
In particular, I am concerned that a specification that contains
a number of extensions or options may lead to difficulties in
finding two interoperable implementations.  I vaguely recall
instances in the past were the available implementations didn't
implement all of the options specified in a draft standard.
I forget the result of these discussions, and whether there is
a consistent answer.  But, I though that some standards-track
documents have been revised to exclude options for which there
were not two independent implementations.  Might it be prudent
to avoid this situation by splitting the reactive protocol
specification into two documents?

Of course, the approach of base and extensions documents does
pose some risks.  First, we might not agree on what the base protocol
is, and whether the LOADng document accurately reflects that group
consensus on what ought be be in the base protocol.  Second, the
base protocol might not accurately reflect the experience of the
available modeling and field deployment experience.  This might
give rise to some risk that the working group might select the
wrong functionality for inclusion in a base protocol specification.

My concerns would be somewhat alleviated if there are good prospect
that two interoperable implementations of the DYMO-based
(base+extensions) approach exist and that their developers are
committed to upgrading them to whatever protocol (including
options/extensions) the working group finally agrees upon.

I think that it would be useful to have more information about the
state of DYMO and LOADng implementations, including the prospects
that these implementations will conform to the eventual working
group consensus.  In my view, the working group really ought to
have detailed information about the current and prospective
implementations before deciding on an approach -- I would be
surprised if this information could be pulled together in sufficient
detail by the Atlanta meetings.

-tjs

---

From: "Charles E. Perkins" <[email-masked]>
Date: Sun, 04 Nov 2012 21:56:26 -0800

Hello folks,

I'm working away on a new revision.  The terminology has been significantly
improved.  I need to respond to many email messages, but there are so many!
The feature descriptions in the previous specifications has become much
more clear.  I've got RFC 5444 packet formats to add to the spec, probably
will finish this tomorrow.  The text for the reorganized route timeouts is
much more compact and understandable than the previous revisions. There
is a small reduction in flexibility compared to previous versions, but 
it takes
a very close reading (which I have done) to figure out where.  I'm 
pretty sure
the extra bits of flexibility regarding route timeouts will never be missed.

This email caught my attention:

> options/extensions) the working group finally agrees upon.

I remain ever more confident that this can (and *should*) be done.
Certain features (intermediate RREP as just one example) need to be
considered so that they have a natural fit with the "base protocol".

> detail by the Atlanta meetings.

I will try to make as much information available as possible, and in
particular to make available a next revision that does not have so
many hasty inconsistencies as the last two (after ...-21.txt).  And
the ...-21.txt revision had its various inconsistencies that I have been
repairing .  Please keep in mind that the revision process since
I resumed editorial duties has been "alloted" less than a month of
my time, and I am sure you will notice rapid progress since then.

-- 
Regards,
Charlie P.

---

From: Henning Rogge <[email-masked]>
Date: Mon, 5 Nov 2012 08:21:32 +0100

On Mon, Nov 5, 2012 at 2:38 AM, JP Vasseur (jvasseur)
<[email-masked]> wrote:
> They are just ill-suited to LLNs.

At least that is your personal opinion. We got this, no need to repeat it again.

Henning Rogge

---

From: Philip Levis <[email-masked]>
Date: Mon, 5 Nov 2012 06:56:51 -0800

> At least that is your personal opinion. We got this, no need to repeat it again.

Henning,

At this point, I'm unsure what the difference between "proactive" and "reactive" is. I'm going to interpret "reactive" as "uses scoped floods to discover routes." That is, route request, route reply, etc. If I'm mistaken, then my comment below might be off the mark.

There's a lot of experimental evidence supporting the claim that using floods or scoped floods to discover routes is ill-suited to low-power and lossy networks (LLNs). This is due to the low-power requirement. In low-power wireless networks, broadcast packets usually cost much more to transmit than unicast ones. This is one of the reasons why RPL uses a Trickle timer to regulate its beaconing interval, so that if the current routes are operating well the broadcast rate approaches zero. Requiring a scoped flood every time a route breaks or is needed can be very costly.

If you want, I can walk you through the issues and a bibliography of low-power link layer and protocol designs. There's about a decade of work. If I were to recommend 3 papers to explain the issues and tradeoffs low power wireless introduces, then I'd suggest B-MAC (Polastre, SenSys 2004), X-MAC (Buettner, SenSys 2006) and A-MAC (Dutta, SenSys 2010). For protocol design, 3 papers I'd suggest Dozer (Burri, IPSN 2007), CTP (Gnawali, 2009), and a complete low power IP layer that greatly informed RPL's design (Hui, SenSys 2008).

I realize there are a lot of opinions on these topics. But there's thankfully also a lot of science and engineering. Let's not let the former get in the way of the latter.

Phil

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Mon, 5 Nov 2012 20:48:16 +0000

On Nov 4, 2012, at 9:05 PM, Jon Black wrote:

JP> As long as LLNs are not involved (which is not what is documented in the Load specification) …

JP> I wish that we could meet to discuss here in Atlanta.

Thanks.

JP.

Jon

________________________________
From: JP Vasseur (jvasseur) <[email-masked]<mailto:[email-masked]>>
To: Ulrich Herberg <[email-masked]<mailto:[email-masked]>>
Cc: "<[email-masked]<mailto:[email-masked]>>" <[email-masked]<mailto:[email-masked]>>
Sent: Sunday, November 4, 2012 6:38 PM
Subject: Re: [manet] Reactive Protocol Situation

Hi,

Hi Joydeep,

I agree.

Thanks.

JP.

Best
Ulrich

Thanks and Regards,

Joydeep Tripathi
PhD Candidate,
Drexel University.

-Joe

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Tue, 6 Nov 2012 01:07:06 +0000

Thanks - FYI, an I-D in the works, spelling out technical details backing up my statement.

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Tue, 6 Nov 2012 01:15:49 +0000

On Nov 5, 2012, at 9:56 AM, Philip Levis wrote:

Henning Rogge

Henning,

Fully agreeing with Phil.

For the ones interested, please also refer to all tickets opened during the discussion about the design of routing protocol for LLN during the course
of 4 years of work in ROLL. There is also quite a bit of background in RFC6550 on the fundamental design principles of RPL for LLN. Last but not
least, you may all also be interested in the 4 uses case requirements of routing protocols for LLNs:

RFC 5548<http://datatracker.ietf.org/doc/rfc5548/>
(draft-ietf-roll-urban-routing-reqs<http://datatracker.ietf.org/doc/draft-ietf-roll-urban-routing-reqs/>)       Routing Requirements for Urban Low-Power and Lossy Networks     2009-05 RFC 5548 (Informational)                        Adrian Farrel
RFC 5673<http://datatracker.ietf.org/doc/rfc5673/>
(draft-ietf-roll-indus-routing-reqs<http://datatracker.ietf.org/doc/draft-ietf-roll-indus-routing-reqs/>)       Industrial Routing Requirements in Low-Power and Lossy Networks 2009-10 RFC 5673 (Informational)                        Adrian Farrel
RFC 5826<http://datatracker.ietf.org/doc/rfc5826/>
(draft-ietf-roll-home-routing-reqs<http://datatracker.ietf.org/doc/draft-ietf-roll-home-routing-reqs/>) Home Automation Routing Requirements in Low-Power and Lossy Networks    2010-04 RFC 5826 (Informational)
Errata<http://www.rfc-editor.org/errata_search.php?rfc=5826>                    Adrian Farrel
RFC 5867<http://datatracker.ietf.org/doc/rfc5867/>
(draft-ietf-roll-building-routing-reqs<http://datatracker.ietf.org/doc/draft-ietf-roll-building-routing-reqs/>) Building Automation Routing Requirements in Low-Power and Lossy Networks        2010-06 RFC 5867 (Informational)                        Adrian Farrel

Phil

---

From: Abdussalam Baryun <[email-masked]>
Date: Tue, 6 Nov 2012 12:25:45 +0100

+1
and thanks for supporting your argument with valuable references.

AB
On 11/5/12, Philip Levis <[email-masked]> wrote:
> At this point, I'm unsure what the difference between "proactive" and
> "reactive" is. I'm going to interpret "reactive" as "uses scoped floods to
> discover routes." That is, route request, route reply, etc. If I'm mistaken,
> then my comment below might be off the mark.
>
> There's a lot of experimental evidence supporting the claim that using
> floods or scoped floods to discover routes is ill-suited to low-power and
> lossy networks (LLNs). This is due to the low-power requirement. In
> low-power wireless networks, broadcast packets usually cost much more to
> transmit than unicast ones. This is one of the reasons why RPL uses a
> Trickle timer to regulate its beaconing interval, so that if the current
> routes are operating well the broadcast rate approaches zero. Requiring a
> scoped flood every time a route breaks or is needed can be very costly.
>
> If you want, I can walk you through the issues and a bibliography of
> low-power link layer and protocol designs. There's about a decade of work.
> If I were to recommend 3 papers to explain the issues and tradeoffs low
> power wireless introduces, then I'd suggest B-MAC (Polastre, SenSys 2004),
> X-MAC (Buettner, SenSys 2006) and A-MAC (Dutta, SenSys 2010). For protocol
> design, 3 papers I'd suggest Dozer (Burri, IPSN 2007), CTP (Gnawali, 2009),
> and a complete low power IP layer that greatly informed RPL's design (Hui,
> SenSys 2008).
>
> I realize there are a lot of opinions on these topics. But there's
> thankfully also a lot of science and engineering. Let's not let the former
> get in the way of the latter.
>
> Phil

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Tue, 6 Nov 2012 19:01:38 +0000

Looks very promising Charlie, thanks for the update, looking forward to the next revision.

On Nov 5, 2012, at 12:56 AM, Charles E. Perkins wrote:

> is a small reduction in flexibility compared to previous versions, but it takes
> a very close reading (which I have done) to figure out where.  I'm pretty sure